2002-01-14 18:18  xhshi

	* arch/ia32/ia32_o3_jit/: inlining.cpp, ir.cpp, nativegen.cpp:
	inlined checkcast, lmul, lshl

2002-01-14 09:09  gwu2

	* base_natives/gnu_classpath/java_net_PlainSocketImpl_common.cpp:
	Changed a get_plainSocketImpl_class to GetObjectClass.

2002-01-13 20:59  gwu2

	* common/class_loader/Prepare.cpp: Fixed a bug in
	populate_vtable_descriptors_table_and_override_methods() which
	hasn't counted in abstract class.

2002-01-13 20:58  gwu2

	* base_natives/gnu_classpath/java_net_PlainSocketImpl_common.cpp:
	Fixed some bugs which can handle PlainSocketImpl and
	PlainDatagramImpl well.

2002-01-11 23:49  weldon

	* arch/ia32/ia32_o3_jit/: ir.cpp, level_3_jit_intf.cpp: This code
	assumes an old sequence for the write barrier that we no longer
	use.

2002-01-11 23:47  weldon

	* common/gc_v2/: block_list.cpp, block_store.cpp, card_table.cpp,
	gc_debug.cpp, gc_for_orp.cpp, gc_globals.cpp, gc_header.cpp,
	los.cpp, los_container.cpp, mrl_gc_v1.cpp, nursery_step_gen.cpp,
	step.cpp, include/gc_globals.h, include/gc_header.h: This code is
	to speed up the P4 by doing the accounting for whether a block is
	free or not to be done without having to visit all the block_info
	structures which can cause a lot of cache thrashing on P4 if the
	block_info structures are 64K apart.

2002-01-10 18:19  xli18

	* arch/ia32/ia32_o3_jit/: inlining.cpp, ir.cpp, nativegen.cpp,
	nativeparser.cpp, nativeparser.h: fix a few small bugs

2002-01-10 18:09  xli18

	* arch/ia32/ia32_o3_jit/: Makefile, NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h, nativegen.cpp, nativegen.h,
	nativeparser.cpp, nativeparser.h: changed the file name

2002-01-10 11:12  xhshi

	* arch/ia32/ia32_o3_jit/: NativeGen.cpp, NativeParser.cpp,
	copy_prop.cpp, expression.cpp, expression.h, flow_graph.h,
	flow_graph_nodes.cpp, inlining.cpp, inlining.h, ir.cpp, ir.h:
	inline_native turn on!


2002-01-09 11:45  gwu2

	* base_natives/gnu_classpath/java_lang_Double.cpp,
	base_natives/gnu_classpath/java_lang_Float.cpp,
	common/base/jni.cpp, common/base/jni_utils.cpp: Refined string
	handling.

2002-01-07 19:04  xli18

	* base_natives/common_olv2/mon_enter_exit.cpp,
	base_natives/common_olv2/mon_enter_exit_olv2.h,
	base_natives/common_olv2/object_generic.cpp,
	base_natives/common_olv2/thread_generic.cpp,
	common/include/orp_threads.h, mains/orp/main.cpp: instrumented ORP
	for concurrency analysis

2002-01-07 18:12  gwu2

	* base_natives/gnu_classpath/java_lang_Float.cpp,
	base_natives/gnu_classpath/java_lang_Double.cpp,
	common/base/jni_utils.cpp: Added the handling of offset of char
	array of java.lang.String.

2002-01-07 10:18  gwu2

	* mains/orp/main.cpp: Removed problems of shutdown hooks to work
	with OBJECT_LOCK_V2, and added stack_key initialization of main
	thread.

2002-01-07 10:17  gwu2

	* base_natives/gnu_classpath/java_lang_Object.cpp: Removed a
	problem in java_lang_Object_clone (reset obj_info) that will lead
	to hang.

2002-01-04 16:37  xhshi

	* arch/ia32/x86/x86.cpp: fix a bug related to emit "xor esi,
	ffffffff"

2001-12-29 17:29  xli18

	* arch/ia32/base/jit_lock_rt_support_ia32.cpp,
	base_natives/common_olv2/mon_enter_exit.cpp,
	base_natives/common_olv2/mon_enter_exit_olv2.h,
	base_natives/common_olv2/object_generic.cpp,
	base_natives/common_olv2/thread_generic.cpp,
	common/base/root_set_enum.cpp: add LAZY_LOCK for object_lock_v2

2001-12-27 13:43  zying1

	* arch/ia32/ia32_o3_jit/NativeGen.cpp: inlining infrastructure

2001-12-21 06:06  weldon

	* common/gc_v2/: block_list.cpp, cheney_fetcher.cpp,
	gc_for_orp.cpp, gc_globals.cpp: Fix bug in cheney fetcher. Fix race
	in cheney fetcher, add code (unfinished)  to allow scan ahead to be
	set from command line.

2001-12-20 17:09  xhshi

	* arch/ia32/ia32_o3_jit/flow_graph_eliminate.cpp: JSR problem.
	related to testcase testDCE

2001-12-19 20:10  xli18

	* arch/ia32/base/base_ia32.dsp,
	arch/ia32/base_natives/base_natives_ia32.dsp,
	arch/ia32/debugger/debugger.dsp, arch/ia32/dump/dump_ia32.dsp,
	arch/ia32/ia32_o1_dll/ia32_o1_dll.dsp,
	arch/ia32/ia32_o1_jit/ia32_o1_jit.dsp,
	arch/ia32/ia32_o3_dll/ia32_o3_dll.dsp,
	arch/ia32/ia32_o3_jit/ia32_o3_jit.dsp, arch/ia32/x86/x86.dsp,
	arch/ia64/code_emit/code_emit.dsp,
	arch/ia64/ia64_o1_jit/ia64_o1_jit.dsp,
	arch/ia64/ia64_o3_jit/ia64_o3_jit.dsp,
	base_natives/common/common_base_natives.dsp,
	base_natives/common_olv2/common_base_natives_olv2.dsp,
	base_natives/gnu_classpath/gnu_classpath.dsp,
	base_natives/ocl_support/ocl_support.dsp, common/base/base.dsp,
	common/class_loader/class_loader.dsp, common/cli/cli.dsp,
	common/cli/ia32_o0_cli/ia32_o0_cli.dsp,
	common/cli_loader/cli_loader.dsp, common/gc_v2/gc_v2.dsp,
	common/jit_utils/jit_utils.dsp, jar_zip_utils/jar_zip_utils.dsp,
	mains/orp/orp.dsp, os/nt/nt.dsp, os/nt/ia32/nt_ia32.dsp: turn on
	Object Lock V2 as default

2001-12-19 17:39  gwu2

	* base_natives/gnu_classpath/java_lang_PlatformProcess.cpp:
	Replaced AppendFormatBlock() with AppendBlock().

2001-12-19 17:25  gwu2

	* common/base/orp.cpp: Removed some memory leaks.

2001-12-19 17:24  gwu2

	* common/base/jni_utils.cpp: Added some new functions using caller
	malloc scheme, removed some memory leaks.

2001-12-19 16:28  gwu2

	* common/base/jni.cpp: Removed a little bug in DefineClass().

2001-12-19 16:21  gwu2

	* base_natives/gnu_classpath/: java_lang_VMClassLoader.cpp,
	java_lang_reflect_Constructor.cpp: Removed some memory leaks.

2001-12-19 15:32  gwu2

	* common/class_loader/Class_File_Loader.cpp: Fixed a bug in dynamic
	loading multi-dimension array classes.

2001-12-19 15:30  gwu2

	* base_natives/gnu_classpath/java_net_PlainSocketImpl_common.cpp:
	Removed a bug in set socket option of SO_LINGER

2001-12-19 15:24  gwu2

	* base_natives/gnu_classpath/java_lang_PlatformProcess.cpp: Fixed
	some memory leaks, do some unquote logic for Tomcat 3.3.

2001-12-19 15:18  gwu2

	* arch/ia32/base/ini_iA32.cpp: Removed an assertion in
	orp_execute_java_method_array().

2001-12-19 14:35  xli18

	* base_natives/common_olv2/: find_natives.cpp, find_natives_olv2.h:
	make it work with NI_TYPE

2001-12-19 11:53  xli18

	* mains/orp/: MakeInclude, Makefile: turn on OBJECT_LOCK_V2

2001-12-19 10:09  michal

	* base_natives/: common/find_natives.h,
	gnu_classpath/find_natives_array.cpp: Introduced NI_TYPE


2001-12-18 23:58  rlhudson

	* interface/gc_for_orp.h: Code for testing alignement, The IA32
	default is now 4 byte align with no extra padding in array headers.
	This means that 8 byte fields of arrays can end up to not be
	aligned in the heap since objects are not 8 byte aligned so even if
	the field is aligned within the object the object might not be
	aligned. For *arrays* we place them in FLOS and we do align them.
	We suspect 8 byte fields in objects are rare and any performance
	sensitive use will be in arrays.  Also some GC cleanup.

2001-12-18 18:56  xli18

	* arch/ia32/base/jit_lock_rt_support_ia32.cpp: fix bugs to use
	portable asm

2001-12-18 16:40  xli18

	* common/include/gc_for_orp.h, interface/gc_for_orp.h,
	mains/orp/MakeInclude, mains/orp/Makefile: move gc_for_orp.h from
	common/include/ to interface/

2001-12-18 15:59  zying1

	* arch/ia32/x86/: x86.cpp, x86.h: add x86 asm


2001-12-17 19:04  xli18

	* arch/ia32/base/jit_lock_rt_support_ia32.cpp: write some raw asm
	code for monitor_exit

2001-12-17 10:57  xli18

	* arch/ia32/base/jit_lock_rt_support_ia32.cpp,
	base_natives/common_olv2/mon_enter_exit_olv2.h,
	base_natives/common_olv2/thread_generic.cpp: Linux ORP OLv2 can run
	now

2001-12-15 19:30  xli18

	* arch/ia32/: base/root_set_enum_ia32.cpp,
	debugger/debug_utils.cpp, ia32_o1_jit/level_1a_jit_intf.cpp: change
	DOS format into UNIX linefeed

2001-12-14 17:17  zying1

	* arch/ia32/ia32_o3_jit/: NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h, inlining.cpp, ir.h, ir.cpp:
	Inlining Infrastructure

2001-12-14 16:04  xhshi

	* arch/ia32/ia32_o3_jit/: copy_prop.cpp, copy_prop.h, ir.cpp, ir.h,
	local_reg_alloc.cpp: copy_prop, fold_operand

2001-12-14 14:07  zying1

	* arch/ia32/x86/: x86.cpp, x86.h: add 8/16 bit operation for cmp,
	cmpxchg

2001-12-13 16:08  xli18

	* arch/ia32/base/jit_lock_rt_support_ia32.cpp: try to write potable
	asm for monitor_exit

2001-12-12 16:09  xli18

	* base_natives/common_olv2/mon_enter_exit.cpp,
	common/gc_v2/cheney_fetcher.cpp: fix bugs to make ORP compile in
	Linux RH6.2

2001-12-12 14:30  xli18

	* base_natives/gnu_classpath/: java_net_InetAddress.cpp,
	java_net_PlainDatagramSocketImpl.cpp, java_net_PlainSocketImpl.cpp,
	java_net_PlainSocketImpl_common.cpp: fix bugs to work with OLv2

2001-12-12 00:28  rlhudson

	* os/nt/ia32/nt_exception_filter.cpp: Need to add a define so that
	we can compile without OBJECT_LOCK_V2.

2001-12-12 00:27  rlhudson

	* common/class_loader/Class.cpp: Change NEW_OBJ_LAYOUT so that it
	is always turned on. If someone wants the old layout theny need to
	define OLD_OBJ_LAYOUT. I also set the code up so that all objects
	are 8 byte aligned.

2001-12-12 00:21  rlhudson

	* common/base/jit_runtime_support.cpp: Fixed code that us used to
	determine the size of an array.

2001-12-12 00:15  rlhudson

	* common/gc_v2/cheney_fetcher.cpp: More work on cheney fetcher.
	This version correctly stops the fetcher so that it doesn't
	continue fetching areas that the GC is clearing. The fetcher needs
	to be real slow for this to be a problem. Also used beginthreadex
	instead of create thread so the mt libs would understand what is
	going on.

2001-12-12 00:13  rlhudson

	* common/gc_v2/gc_for_orp.cpp: Fix race between the cheney fetcher
	and allocation. If we bumped the allocation pointer before we
	install a vt then the fetcher sees a null vt occasionally.

2001-12-12 00:10  rlhudson

	* common/gc_v2/mrl_gc_v1.cpp: Fix mtrt 10 by 10 bug by removing
	race condition between root set enumeration nursery allocation and
	deciding which areas should be collected. We make all nurseries
	have a true c_area_p and depend on not pointing into bogus
	nurseries.

2001-12-12 00:08  rlhudson

	* common/gc_v2/verify_heap.cpp: Fix bug that uses the wrong root
	set for verification.

2001-12-10 17:42  gwu2

	* base_natives/gnu_classpath/java_io_File.cpp: Refined
	deleteInternal() implementation.

2001-12-10 17:41  gwu2

	* base_natives/gnu_classpath/java_lang_Class.cpp: Added exception
	handling in java_lang_Class_newInstance().

2001-12-10 17:41  gwu2

	* base_natives/gnu_classpath/java_lang_reflect_Field.cpp: Removed
	some bug in primitive wrapper class name.

2001-12-10 17:40  gwu2

	* base_natives/gnu_classpath/java_lang_Thread.cpp: Added
	isInterrupted implementation.

2001-12-10 17:39  gwu2

	* base_natives/gnu_classpath/: java_net_InetAddress.cpp,
	java_net_PlainDatagramSocketImpl.cpp, java_net_PlainSocketImpl.cpp,
	java_net_PlainSocketImpl_common.cpp: Added socket_strerror() and
	refined error handling.

2001-12-08 16:11  zying1

	* arch/ia32/ia32_o1_jit/lazy_code_selector.cpp: NEW_OBJ_LAYOUT in
	arraylength

2001-12-08 09:47  xli18

	* base_natives/common_olv2/: mon_enter_exit.cpp,
	object_generic.cpp, thread_generic.cpp, thread_manager.cpp:  add
	some asserts for exposing bugs

2001-12-08 05:42  xli18

	* base_natives/common_olv2/: mon_enter_exit.cpp,
	mon_enter_exit_olv2.h: change "__stdcall uint16" to "uint16
	__stdcall"

2001-12-07 11:31  ywang13

	* arch/ia32/ia32_o1_jit/level_1a_jit_intf.cpp: Add Dll Support for
	this file.

2001-12-07 08:16  xli18

	* arch/ia32/base/compile_IA32.cpp,
	arch/ia32/base/enum_trampoline.cpp,
	arch/ia32/base/exceptions_ia32.cpp, arch/ia32/base/ini_iA32.cpp,
	arch/ia32/base/jit_lock_rt_support_ia32.cpp,
	arch/ia32/base/jit_runtime_support_ia32.cpp,
	arch/ia32/base/stack_manipulation_ia32.cpp,
	arch/ia32/debugger/debug_utils.cpp,
	arch/ia32/debugger/debugger_ia32.cpp,
	arch/ia32/debugger/debugger_ia32_breakpoint.cpp,
	arch/ia32/debugger/debugger_ia32_list.cpp,
	arch/ia32/debugger/debugger_ia32_locals.cpp,
	arch/ia32/debugger/debugger_ia32_utils.cpp,
	arch/ia32/debugger/debugger_jvmdi_ia32.cpp,
	arch/ia32/debugger/include/debugger_ia32_breakpoint.h,
	arch/ia32/debugger/include/debugger_ia32_list.h,
	arch/ia32/debugger/include/debugger_ia32_locals.h,
	arch/ia32/debugger/include/debugger_ia32_utils.h,
	arch/ia32/debugger/include/debugger_jvmdi_ia32.h,
	arch/ia32/ia32_o1_jit/recompilation_intf.cpp,
	arch/ia32/ia32_o3_jit/o3_profiling.cpp,
	base_natives/common/thread_manager.cpp, common/base/finalize.cpp,
	common/base/method_lookup.cpp, common/base/orp.cpp,
	common/base/orp_vtune.cpp, common/base/root_set_enum.cpp,
	common/gc/gc_for_orp.cpp, common/include/finalize.h,
	common/include/gc_for_orp.h, common/include/orp_threads.h,
	common/include/orp_utils.h, common/include/orp_vtune.h,
	common/include/root_set_enum.h: change DOS linefeed to Unix format

2001-12-07 07:30  xli18

	* arch/ia32/base/Makefile,
	arch/ia32/base/jit_lock_rt_support_ia32.cpp,
	arch/ia32/base_natives/Makefile, arch/ia32/debugger/Makefile,
	base_natives/common_olv2/mon_enter_exit.cpp,
	base_natives/common_olv2/mon_enter_exit_olv2.h,
	base_natives/common_olv2/thread_manager.cpp,
	base_natives/gnu_classpath/Makefile, common/base/Makefile,
	common/class_loader/Makefile, mains/orp/MakeInclude,
	mains/orp/Makefile, os/bsd/Makefile, os/linux/Makefile: port Object
	Lock V2 to Linux

2001-12-07 05:20  xli18

	* common/base/orp_init.cpp,
	base_natives/common_olv2/thread_manager.cpp: write Linux asm for
	LockedCompareChange

2001-12-06 10:28  xli18

	* base_natives/common_olv2/mon_enter_exit_olv2.h,
	base_natives/common_olv2/object_generic.cpp,
	base_natives/common_olv2/thread_generic.cpp,
	base_natives/common_olv2/thread_generic_olv2.h,
	common/include/orp_threads.h: inlined get_thread_ptr()

2001-12-06 06:17  rlhudson

	* common/gc_v2/: include/cheney_fetcher.h, cheney_fetcher.cpp,
	cheney_fetcher.cpp: Cheney fetcher logic.

2001-12-06 05:57  rlhudson

	* common/gc_v2/: block_list.cpp, mrl_gc_v1.cpp,
	include/block_list.h, include/cheney_fetcher.h: Cleanup for card
	scanning so that cards are maked in scan_object/array.

2001-12-06 05:56  rlhudson

	* common/base/jit_runtime_support.cpp: Cleanup for determining the
	size of an array that takes alignment into account.

2001-12-06 05:45  xli18

	* base_natives/common_olv2/thread_generic.cpp,
	base_natives/common_olv2/mon_enter_exit.cpp,
	base_natives/common_olv2/mon_enter_exit_olv2.h,
	arch/ia32/base/jit_lock_rt_support_ia32.cpp: rewrite OLv2 with C
	and portable asm

2001-12-05 17:41  ywang13

	* Move from VC5.0 to VC6.0

2001-12-05 16:43  ywang13

	* base_natives/common_olv2/thread_manager.cpp: Addd VTune Support.

2001-12-05 16:42  ywang13

	* base_natives/common/thread_manager.cpp: Add VTune Support.

2001-12-05 16:38  ywang13

	* arch/ia32/: ia32_o1_jit/recompilation_intf.cpp,
	ia32_o3_jit/o3_profiling.cpp: Add VTune Support Patch.

2001-12-05 15:29  ywang13

	* arch/ia32/base/: compile_IA32.cpp, enum_trampoline.cpp,
	exceptions_ia32.cpp, ini_iA32.cpp, jit_lock_rt_support_ia32.cpp,
	jit_runtime_support_ia32.cpp, root_set_enum_ia32.cpp,
	stack_manipulation_ia32.cpp: Add VTune Support Patch.

2001-12-05 15:21  ywang13

	* common/include/orp_vtune.h: Add vtune_notify_stub_load_finished
	function.

2001-12-05 15:20  ywang13

	* common/include/: orp_utils.h, root_set_enum.h: Add GC dll
	support.

2001-12-05 15:17  ywang13

	* common/include/orp_threads.h: Add GC dll Support.

2001-12-05 14:57  ywang13

	* common/include/: finalize.h, gc_for_orp.h: Add GC dll support.

2001-12-05 14:52  ywang13

	* common/base/: root_set_enum.cpp, finalize.cpp: Add GC dll
	support.

2001-12-05 14:51  ywang13

	* common/base/orp_vtune.cpp: Add vtune_notify_stub_load_finished
	function.

2001-12-05 14:50  ywang13

	* common/base/orp.cpp: Add get_p_TLS_orpthread function.

2001-12-05 14:49  ywang13

	* common/base/method_lookup.cpp: Patch VTune Support.

2001-12-01 06:48  rlhudson

	* common/gc_v2/: cheney_fetcher.cpp, include/cheney_fetcher.h:
	Cheney fetcher code.

2001-11-30 23:24  rlhudson

	* common/gc_v2/include/cheney_fetcher.h: Comments for tlp cheney
	fetching code.

2001-11-30 23:22  rlhudson

	* common/gc_v2/: gc_header.cpp, cheney_fetcher.cpp: Code for the
	NEW_OBJ_LAYOUT.

2001-11-30 00:38  rlhudson

	* common/gc_v2/: Makefile, block_list.cpp, cheney_fetcher.cpp,
	gc_for_orp.cpp, gc_globals.cpp, gc_header.cpp, gc_v2.dsp,
	mrl_gc_v1.cpp, sapphire.cpp, step.cpp, step_generation.cpp,
	include/cheney_fetcher.h, include/gc_globals.h,
	include/gc_header.h: Cheney Fetcher code as well as modification to
	support the LOCK_V2

2001-11-29 06:39  xli18

	* base_natives/common_olv2/: mon_enter_exit.cpp,
	object_generic.cpp, thread_generic.cpp: add gc_enable and disable
	stuff

2001-11-28 16:41  xhshi

	* interface/jit_runtime_support.h, arch/ia32/ia32_o3_jit/ir.h,
	arch/ia32/ia32_o3_jit/ir.cpp, arch/ia32/ia32_o3_jit/copy_prop.cpp,
	arch/ia32/base/jit_runtime_support_ia32.cpp: branch framework

2001-11-28 09:08  zying1

	* arch/ia32/ia32_o3_jit/inlining.cpp: inline infrastructure --
	xhshi

2001-11-28 06:20  xli18

	* make olv2 release version to run

2001-11-28 05:45  rlhudson

	* common/gc_v2/include/gc_header.h: Cleaned up some code that deals
	with the new object header layout.

2001-11-28 05:33  rlhudson

	* common/gc_v2/: gc_v2.dsp, mrl_gc_v1.cpp: Moved code that verifies
	heap to verify_heap.cpp and verify_heap.h

2001-11-28 01:58  xli18

	* base_natives/common_olv2/mon_enter_exit.cpp,
	base_natives/common_olv2/thread_generic.cpp,
	common/gc_v2/block_list.cpp, common/gc_v2/mrl_gc_v1.cpp,
	common/gc_v2/include/gc_header.h: make olv2 run SPECJBB

2001-11-27 14:05  zying1

	* arch/ia32/ia32_o3_jit/: NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h, inlining.cpp: inlining
	infrastructure

2001-11-27 14:03  xhshi

	* arch/ia32/: base/jit_runtime_support_ia32.cpp,
	ia32_o3_jit/ir.cpp, ia32_o3_jit/inlining.cpp: branch framework

2001-11-23 18:04  gwu2

	* base_natives/gnu_classpath/find_natives_array.cpp: Changed
	java_io_FileDescriptor_sync to java_io_FileDescriptor_syncInternal.

2001-11-23 18:03  gwu2

	* mains/orp/main.cpp: Changed some behavior of interrupt signal
	handler.

2001-11-23 15:22  zying1

	* arch/ia32/ia32_o3_jit/: ir.h, NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h, expression.h: inlining
	infrastructure

2001-11-23 11:15  xhshi

	* arch/ia32/ia32_o3_jit/: code_gen.cpp, ir.h, ir.cpp, inlining.cpp:
	branch framework

2001-11-23 11:14  zying1

	* arch/ia32/ia32_o3_jit/: NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h: inlining infrastructure

2001-11-22 11:45  zying1

	* arch/ia32/ia32_o3_jit/: NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h, inlining.cpp, ir.cpp: inlining
	infrastructure

2001-11-22 10:38  gwu2

	* base_natives/gnu_classpath/Makefile: Added
	java_lang_PlatformProcess.cpp.

2001-11-22 10:13  gwu2

	* base_natives/gnu_classpath/gnu_classpath.dsp: Added
	java_lang_PlatformProcess.cpp.

2001-11-22 10:10  gwu2

	* base_natives/gnu_classpath/find_natives_array.cpp: Added
	PlatformProcess native methods.

2001-11-22 10:10  gwu2

	* base_natives/gnu_classpath/java_lang_Runtime.cpp: Implemented
	Runtime.execInternal().

2001-11-22 09:57  gwu2

	* base_natives/gnu_classpath/java_lang_Runtime.cpp: Implemented
	Runtime.execInternal().

2001-11-22 09:25  gwu2

	* base_natives/gnu_classpath/java_lang_Throwable.cpp,
	common/include/Class.h, common/base/C_Interface.cpp: Added
	directive STACK_TRACE_ADDITIONAL_INFO to print stack trace with
	source file name and line number.

2001-11-21 17:39  gwu2

	* common/base/exceptions.cpp: Added a debug facility in orp_throw
	to print exception stack trace which have no java handler until
	native method is encountered.

2001-11-21 17:36  gwu2

	* base_natives/gnu_classpath/java_lang_reflect_Method.cpp: Added a
	debug facility in Method.invokeNative() to print target exception
	stack trace.

2001-11-21 17:35  gwu2

	* base_natives/gnu_classpath/java_lang_Class.cpp: Fixed
	getDeclaredMethods, don't count constructors and class initializer.

2001-11-21 17:33  gwu2

	* base_natives/gnu_classpath/find_natives_array.cpp: Fixed a
	problem that would prevent corrent run with old classpath.

2001-11-21 13:36  zying1

	* arch/ia32/ia32_o3_jit/: NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h, inlining.cpp, ir.cpp: inlining
	infrastructure

2001-11-21 04:06  rlhudson

	* arch/ia32/base/jit_lock_rt_support_ia32.cpp,
	base_natives/common/mon_enter_exit.cpp,
	base_natives/common/object_generic.cpp,
	base_natives/common/object_manager.cpp,
	base_natives/common/thread_generic.cpp,
	base_natives/gnu_classpath/gnu_specific.cpp,
	base_natives/gnu_classpath/java_io_File.cpp,
	base_natives/gnu_classpath/include/gnu_specific.h,
	base_natives/gnu_classpath/include/java_lang_Thread.h,
	common/base/jit_runtime_support.cpp, common/base/jni_array.cpp,
	common/gc_v2/block_list.cpp, common/gc_v2/gc_for_orp.cpp,
	common/gc_v2/gc_header.cpp, common/gc_v2/gc_perf.cpp,
	common/gc_v2/los.cpp, common/gc_v2/los_container.cpp,
	common/gc_v2/mrl_gc_v1.cpp, common/gc_v2/sapphire.cpp,
	common/gc_v2/step_generation.cpp,
	common/gc_v2/include/block_list.h,
	common/gc_v2/include/descendents.h,
	common/gc_v2/include/gc_header.h, common/gc_v2/include/gc_perf.h,
	common/gc_v2/include/los.h, common/include/Class.h,
	common/include/gc_for_orp.h, common/include/object_layout.h,
	common/include/orp_utils.h, interface/orp_types.h,
	mains/orp/main.cpp: New object layout code, turn on by defining
	NEW_OBJ_LAYOUT

2001-11-20 19:06  xli18

	* arch/ia32/base/compile_IA32.cpp,
	arch/ia32/base/jit_lock_rt_support_ia32.cpp,
	arch/ia32/base/jit_runtime_support_ia32.cpp,
	arch/ia32/base_natives/java_lang_thread_ia32.cpp,
	arch/ia32/debugger/jvmdi_ia32.cpp,
	base_natives/common_olv2/find_natives.cpp,
	base_natives/common_olv2/mon_enter_exit.cpp,
	base_natives/common_olv2/object_generic.cpp,
	base_natives/common_olv2/thread_generic.cpp,
	base_natives/common_olv2/thread_manager.cpp,
	base_natives/gnu_classpath/find_natives_array.cpp,
	base_natives/gnu_classpath/gnu_specific.cpp,
	base_natives/gnu_classpath/java_io_File.cpp,
	base_natives/gnu_classpath/java_lang_Object.cpp,
	base_natives/gnu_classpath/java_lang_Runtime.cpp,
	base_natives/gnu_classpath/java_lang_System.cpp,
	base_natives/gnu_classpath/java_lang_Thread.cpp,
	base_natives/gnu_classpath/java_lang_VMSystem.cpp,
	common/base/C_Interface.cpp, common/base/jni.cpp,
	common/base/orp.cpp, common/base/orp_init.cpp,
	common/base/root_set_enum.cpp, common/include/orp_synch.h,
	common/include/orp_threads.h, mains/orp/main.cpp,
	os/bsd/platform_utils.cpp, os/bsd/signals_ia32.cpp,
	os/linux/platform_utils.cpp, os/linux/signals_ia32.cpp,
	os/nt/nt_platform_utils.cpp: include OLv2 headers

2001-11-20 18:19  xli18

	* base_natives/common_olv2/: find_natives.h, find_natives_olv2.h,
	mon_enter_exit.h, mon_enter_exit_olv2.h, object_generic.h,
	object_generic_olv2.h, object_manager.h, object_manager_olv2.h,
	platform_utils.h, platform_utils_olv2.h, thread_generic.h,
	thread_generic_olv2.h, thread_manager.h, thread_manager_olv2.h:
	change file name from xxx.h to xxx_olv2.h

2001-11-20 09:06  gwu2

	* base_natives/gnu_classpath/java_io_File.cpp: Implemented
	java.lang.PlatformProcess native methods.

2001-11-19 18:08  xli18

	* base_natives/common_olv2/: mon_enter_exit.cpp, mon_enter_exit.h,
	object_generic.cpp, thread_generic.cpp, thread_generic.h: move
	codes from mon_x to OLv2

2001-11-19 17:19  gwu2

	* common/class_loader/Class_File_Loader.cpp: Fixed a bug about
	class file version check, refined an error output.

2001-11-19 17:16  gwu2

	* base_natives/gnu_classpath/java_lang_VMClassLoader.cpp:
	Surpressed define class output info.

2001-11-19 17:16  gwu2

	* base_natives/gnu_classpath/java_io_FileOutputStream.cpp: Refined
	FileOutputStream.closeInternal().

2001-11-19 17:15  gwu2

	* base_natives/gnu_classpath/java_io_File.cpp: Implemented
	File.createInternal().

2001-11-19 15:44  xli18

	* arch/ia32/base/: jit_lock_rt_support_ia32.cpp,
	jit_runtime_support_ia32.cpp: re-arrange the source to seperate
	monitor jit runtime support in a file

2001-11-19 13:13  xli18

	* base_natives/common_olv2/common_base_natives.dsp,
	base_natives/common_olv2/common_base_natives_olv2.dsp,
	mains/nt_builds/nt_builds.dsw: added Object Lock v2 project in ORP
	workspace

2001-11-19 11:28  xli18

	* base_natives/common_olv2/: find_natives.cpp, find_natives.h,
	mon_enter_exit.cpp, mon_enter_exit.h, object_generic.cpp,
	object_generic.h, object_manager.cpp, object_manager.h,
	platform_utils.h, thread_generic.cpp, thread_generic.h,
	thread_manager.cpp, thread_manager.h: add macro #ifdef
	OBJECT_LOCK_V2 to guard all the source

2001-11-19 10:59  xli18

	* base_natives/common/: find_natives.cpp, find_natives.h,
	mon_enter_exit.cpp, mon_enter_exit.h, object_generic.cpp,
	object_generic.h, object_manager.cpp, object_manager.h,
	platform_utils.h, thread_generic.cpp, thread_generic.h,
	thread_manager.cpp, thread_manager.h: add micro ifndef
	OBJECT_LOCK_V2 to guard all source

2001-11-16 15:35  xli18

	* changes.txt: updated for release 1.0.8

2001-11-16 15:22  xli18

	* arch/ia32/base/jit_runtime_support_ia32.cpp,
	base_natives/gnu_classpath/java_lang_Double.cpp: casted the
	longlong to __INT64_C

2001-11-16 14:51  xli18

	* base_natives/gnu_classpath/java_lang_Runtime.cpp: add comments
	for getLibraryPath

2001-11-16 14:44  xli18

	* base_natives/gnu_classpath/gnu_specific.cpp: commented all forced
	native interface calls, to train Gnu Classpath implementation

2001-11-16 14:28  xli18

	* base_natives/gnu_classpath/java_lang_Runtime.cpp: add prefix for
	native get libname

2001-11-16 13:58  xli18

	* base_natives/gnu_classpath/gnu_specific.cpp: add a comment

2001-11-16 12:01  xli18

	* ChangeLog.txt, faq.html, readme.txt, mains/orp/main.cpp: updated
	for release 1.0.8

2001-11-16 11:33  xli18

	* common/base/method.cpp: a bug make Linux can't build

2001-11-16 11:07  xli18

	* mains/orp/platform.mk: not needed anymore
2001-11-16 11:06  xli18

	* mains/orp/: MakeInclude, Makefile: modified with
	NON_ORP_NATIVE_LIBS build

2001-11-16 09:39  zying1

	* arch/ia32/ia32_o3_jit/: NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h, inlining.cpp, ir.cpp: inlining
	infrastructure

2001-11-15 17:24  xli18

	* base_natives/: common/find_natives.h,
	gnu_classpath/find_natives_array.cpp,
	gnu_classpath/gnu_specific.cpp: removed extra builtins JNI for 
	for NON_ORP_NATIVE_LIBS to reduce the code size in about 50KB.

2001-11-15 15:32  gwu2

	* base_natives/gnu_classpath/: java_lang_Double.cpp,
	java_lang_Float.cpp: Refined parseDouble/parseFloat, handle
	negative zero.

2001-11-15 15:32  xli18

	* common/base/jni_utils.cpp: a minor optimization

2001-11-15 15:31  xli18

	* base_natives/: common/find_natives.cpp,
	gnu_classpath/find_natives_array.cpp,
	gnu_classpath/gnu_specific.cpp, gnu_classpath/java_lang_Class.cpp:
	refined the GNU classpath native lib support

2001-11-15 08:35  zying1

	* arch/ia32/ia32_o3_jit/: inlining.cpp, inlining.h, ir.cpp, ir.h,
	NativeGen.cpp, NativeGen.h, NativeParser.cpp, NativeParser.h:
	Inlining Infrastructure

2001-11-15 07:32  michal

	* common/class_loader/Prepare.cpp: Added uint16

2001-11-14 18:05  xli18

	* base_natives/: common/find_natives.cpp,
	gnu_classpath/find_natives_array.cpp,
	gnu_classpath/gnu_specific.cpp: the modifications make GNU
	classpath native library to work

2001-11-14 17:29  gwu2

	* base_natives/gnu_classpath/java_net_PlainSocketImpl.cpp: Added
	the implementation of Java_java_net_PlainSocketImpl_available().

2001-11-14 15:35  gwu2

	* common/base/jni_utils.cpp: Fixed a bug in
	FindClassWithClassLoader().

2001-11-14 14:48  xli18

	* base_natives/common_olv2/: .cvsignore, Makefile,
	common_base_natives.dsp, common_ia64nt.mak, find_natives.cpp,
	find_natives.h, mon_enter_exit.cpp, mon_enter_exit.h,
	object_generic.cpp, object_generic.h, object_manager.cpp,
	object_manager.h, platform_utils.h, thread_generic.cpp,
	thread_generic.h, thread_manager.cpp, thread_manager.h: added new
	module for Object Lock V2

2001-11-14 11:02  xli18

	* arch/ia32/base/root_set_enum_ia32.cpp, os/linux/signals_ia32.cpp:
	added Linux thread suspend code, turn off for now, because still
	buggy. Guarded with LINUX_THREAD_SUSPEND

2001-11-14 10:24  gwu2

	* arch/ia32/base/jit_runtime_support_ia32.cpp: Fixed problems in
	orp_f2i and orp_f2l, define _isnan to isnan for POSIX.

2001-11-14 10:21  gwu2

	* base_natives/gnu_classpath/java_lang_Math.cpp: Removed own
	implementation of _isnan.

2001-11-14 02:10  zying1

	* arch/ia32/ia32_o3_jit/: NativeGen.cpp, NativeGen.h,
	NativeParser.cpp, NativeParser.h: Add Inline Parser,
	NativeCodeGenerator

2001-11-14 01:24  xhshi

	* arch/ia32/ia32_o3_jit/: expression.cpp, expression.h: inline
	infrastructure, turn-off by default

2001-11-14 01:20  xhshi

	* arch/ia32/ia32_o3_jit/: ir.h, ir.cpp, inlining.h, inlining.cpp:
	inline infrastructure, turn-off by default

2001-11-13 16:58  gwu2

	* base_natives/gnu_classpath/java_lang_Class.cpp: Fixed a little
	bug in getConstructor0.

2001-11-13 11:57  xli18

	* arch/ia32/base/jit_runtime_support_ia32.cpp: add illegal monitor
	state handling when exiting monitor

2001-11-13 11:27  gwu2

	* base_natives/common/find_natives.cpp: Count in lib prefix to
	suppress debug output.

2001-11-13 10:47  gwu2

	* mains/orp/main.cpp: Fixed a bug in -jar argument parsing.

2001-11-13 10:39  gwu2

	* common/include/orp_utils.h: Changed a little in
	ExpandableMemBlock.

2001-11-13 09:10  gwu2

	* base_natives/gnu_classpath/java_lang_VMClassLoader.cpp: Changed a
	little in findLoadedClass to improve performance.

2001-11-13 08:55  michal

	* common/class_loader/Class_File_Loader.cpp: Put back in some code
	removed by Gansha.

2001-11-12 18:54  gwu2

	* base_natives/gnu_classpath/: find_natives_array.cpp,
	include/java_lang_VMClassLoader.h: Added findLoadedClass
	declaration, but it's not accepted from classpath.

2001-11-12 18:53  gwu2

	* base_natives/gnu_classpath/java_lang_VMClassLoader.cpp: Added
	findLoadedClass implementation, but it's not accepted from
	classpath.

2001-11-12 18:43  gwu2

	* common/base/root_set_enum.cpp: Added capability to iterate
	classes for all class loaders in orp_enumerate_static_fields().

2001-11-12 18:29  gwu2

	* common/include/GlobalClassIterator.h: Newly added for iterating
	classes for all class loaders.

2001-11-12 18:25  gwu2

	* common/class_loader/Class_File_Loader.cpp: Fixed a bug in
	class_load_verify_prepare_by_loader().

2001-11-12 18:24  gwu2

	* common/class_loader/Resolve.cpp: Fixed a bug in
	resolve_class_array_of_class().

2001-11-12 18:12  xli18

	* base_natives/common/mon_enter_exit.cpp: a bug fixed about illegal
	monitor state

2001-11-12 16:35  xli18

	* faq.html, readme.txt, os/linux/.cvsignore: updated to latest
	build status

2001-11-12 14:32  xli18

	* base_natives/common/mon_enter_exit.cpp, mains/orp/MakeInclude,
	mains/orp/Makefile, mains/orp/platform.mk, os/linux/os_wrapper.cpp:
	modifications for better platform-independent build

2001-11-12 10:09  xli18

	* mains/orp/main.cpp: build bug fixed

2001-11-12 10:08  xli18

	* arch/ia32/base/Makefile, arch/ia32/base_natives/Makefile,
	arch/ia32/debugger/Makefile, arch/ia32/dump/Makefile,
	arch/ia32/ia32_o1_jit/Makefile, arch/ia32/ia32_o3_jit/Makefile,
	arch/ia32/x86/Makefile, base_natives/common/Makefile,
	base_natives/gnu_classpath/Makefile,
	base_natives/gnu_classpath/java_io_File.cpp,
	base_natives/gnu_classpath/java_lang_Class.cpp,
	common/base/Makefile, common/gc/Makefile, common/gc_v2/Makefile,
	common/include/properties.h, common/jit_utils/Makefile,
	mains/orp/Makefile, mains/orp/main.cpp, os/bsd/Makefile,
	os/bsd/include/platform.h: build bugs fixed

2001-11-12 09:58  gwu2

	* arch/ia32/base/root_set_enum_ia32.cpp: Added gc frame throw
	context assignment.

2001-11-12 09:46  gwu2

	* mains/orp/main.cpp: Updated jar support.

2001-11-10 16:25  gwu2

	* common/include/Class_Loader.h: Added friend class
	GlobalClassIterator.

2001-11-10 16:04  gwu2

	* arch/ia32/ia32_o1_jit/level_1a_jit_intf.cpp: Added
	adjustContextEIP() method to adjust eip to gc safe approximately.
	It's not correct all the case.

2001-11-10 15:44  gwu2

	* os/nt/nt_platform_utils.cpp: Added in interrupted signal support.

2001-11-10 15:43  gwu2

	* os/: bsd/signals_ia32.cpp, linux/signals_ia32.cpp: Added in
	SIGINT signal handling.

2001-11-10 15:41  gwu2

	* mains/orp/main.cpp: Checked in shutdown hooks support.

2001-11-10 15:36  gwu2

	* common/include/properties.h: Refined and fixed Properties.

2001-11-10 15:35  gwu2

	* common/include/orp_utils.h: Added some methods to
	ExpandableMemBlock.

2001-11-10 15:34  gwu2

	* common/include/orp_threads.h: Added gc_frame_throw_context to
	ORP_Thread.

2001-11-10 15:27  gwu2

	* common/include/jni_utils.h: Added some declarations.

2001-11-10 15:26  gwu2

	* common/include/jarfile_util.h: Fixed and refined a routine.

2001-11-10 15:25  gwu2

	* common/include/Class.h: Added/modified some fields of Class, some
	declarations for inner class support.

2001-11-10 15:23  gwu2

	* common/class_loader/Prepare.cpp: Added some disable/enable gc
	calls.

2001-11-10 15:20  gwu2

	* common/class_loader/Class_File_Loader.cpp: Big patch to this
	file, including inner class support, dynamic class loading etc.

2001-11-10 14:57  gwu2

	* common/: base/orp_init.cpp, include/environment.h: Added the
	preload of java.lang.Runtime.

2001-11-10 14:55  gwu2

	* common/base/method.cpp: Fixed a little bug.

2001-11-10 14:53  gwu2

	* common/base/jni_utils.cpp: Fixed some bugs, esp. FindClass
	problem, added some FindClass routines.

2001-11-10 14:46  gwu2

	* common/base/jni.cpp: Fixed some bugs, esp. FindClass problem.

2001-11-10 14:43  gwu2

	* common/base/jit_runtime_support.cpp: Changed an assertion to
	throwing exception.

2001-11-10 14:39  gwu2

	* base_natives/gnu_classpath/: java_net_PlainSocketImpl.cpp,
	java_net_PlainSocketImpl_common.cpp: Refined and fixed some bugs.

2001-11-10 14:34  gwu2

	* base_natives/gnu_classpath/java_lang_reflect_Method.cpp: Refined
	many methods and fixed some bugs, esp. FindClass problems.

2001-11-10 14:30  gwu2

	* base_natives/gnu_classpath/java_lang_reflect_Field.cpp: Refined
	and fixed some bugs.

2001-11-10 14:27  gwu2

	* base_natives/gnu_classpath/java_lang_reflect_Constructor.cpp:
	Added exception handling to Constructor.newInstance.

2001-11-10 14:25  gwu2

	* base_natives/gnu_classpath/java_lang_VMSystem.cpp: Refined many
	system properties.

2001-11-10 14:18  gwu2

	* base_natives/gnu_classpath/: java_lang_VMClassLoader.cpp,
	include/java_lang_VMClassLoader.h: Added defineClass1 to consider
	Class protection domain problem.

2001-11-10 14:16  gwu2

	* base_natives/gnu_classpath/java_lang_Throwable.cpp: Refined and
	fixed fillStackTrace().

2001-11-10 14:14  gwu2

	* common/base/orp.cpp: Added two routines for accessing system
	properties when not in jni context.

2001-11-10 14:06  gwu2

	* base_natives/gnu_classpath/java_lang_Class.cpp: Added
	implementation of getClasses/getDeclaredClasses/getDeclaringClass. 
	Fixed many bugs.

2001-11-10 13:46  gwu2

	* base_natives/gnu_classpath/java_io_File.cpp: A little
	modification in get_correct_path(remove tailing separator).

2001-11-10 13:44  gwu2

	* base_natives/gnu_classpath/gnu_classpath_jni_utils.cpp: Removed
	one usage of FindClass, changed one usage of FindClass.

2001-11-10 13:39  gwu2

	* base_natives/common/thread_manager.cpp: Removed an assertion.

2001-11-10 13:36  gwu2

	* jar_zip_utils/JarFile.cpp: A little optimization when creating
	Properties in Get_Entry_Info.

2001-11-10 12:52  gwu2

	* base_natives/gnu_classpath/include/java_lang_Thread.h: Add a
	field contextClassLoader for java_lang_Thread data structure.

2001-11-10 11:30  gwu2

	* Applied Brian Jones's patch with NON_ORP_NATIVE_LIBS guarded.

2001-11-09 08:57  michal

	* arch/ia32/base/jit_runtime_support_ia32.cpp: Fixed a bug in
	aastore in the index out of bounds check.

2001-11-07 23:03  rlhudson

	* common/gc_v2/nursery_step_gen.cpp: Code to abort system if
	running -gc zero_thread in Linux. 

2001-11-07 09:15  michal

	* common/class_loader/Class.cpp: Added num_instanceof_slow for
	statistics.

2001-11-07 09:11  michal

	* common/: include/Class.h, base/jit_runtime_support.cpp,
	base/orp_stats.cpp: Added num_instanceof_slow for statistics.

2001-11-07 09:09  michal

	* arch/ia32/base/jit_runtime_support_ia32.cpp: Use FAST_INSTOF in
	aastore.

2001-11-05 21:36  rlhudson

	* common/gc_v2/: block_list.cpp, block_store.cpp, card_table.cpp,
	gc_for_orp.cpp, gc_globals.cpp, gc_plan.cpp, los.cpp,
	los_container.cpp, mrl_gc_v1.cpp, nursery_step_gen.cpp,
	sapphire.cpp, step.cpp, step_generation.cpp, include/block_list.h,
	include/block_store.h, include/gc_globals.h, include/gc_header.h,
	include/gc_hooks.h, include/gc_space.h, include/los.h,
	include/los_container.h, include/nursery_step_gen.h,
	include/obsolete_space.h, include/step.h,
	include/step_generation.h: Added command line -gc fixed to run a
	fixed collector. Expect this to be slower than the default copy
	collector. It is mostly added to help with the evolutionary
	development of the CLR code.  Added command line -gc zero_thread
	that zeroes nurseries in a seperate thread. This works well when
	there are more CPUs than mutator threads.  Much cleanup of the
	code.

2001-11-05 18:38  xli18

	* arch/ia32/base/base_ia32.dsp,
	base_natives/common/common_base_natives.dsp, common/base/base.dsp:
	turn on MONITOR_STO(lazy lock) for NT

2001-11-02 09:58  xhshi

	* arch/ia32/: ia32_o3_jit/ir.cpp,
	base/jit_runtime_support_ia32.cpp: FAST Long Operation

2001-11-02 09:55  xhshi

	* interface/orp_types.h, interface/jit_intf.h,
	common/base/C_Interface.cpp, common/class_loader/Class.cpp,
	common/include/Class.h, arch/ia32/ia32_o1_jit/cg_helper.cpp,
	arch/ia32/ia32_o3_jit/inlining.cpp: Turn on FAST_INSTOF

2001-11-02 04:37  michal

	* interface/jit_intf.h: Added token_get_type and token_get_value.

2001-11-02 04:36  michal

	* common/include/orp_utils.h: Removed get_p_TLS_orpthread.

2001-11-02 03:33  michal

	* common/base/orp.cpp: Removed dead test_reference stuff.

2001-11-01 16:43  xhshi

	* interface/jit_runtime_support.h,
	arch/ia32/base/jit_runtime_support_ia32.cpp,
	arch/ia32/ia32_o3_jit/ir.h, arch/ia32/ia32_o3_jit/ir.cpp: Long rem

2001-11-01 14:34  xli18

	* os/linux/signals_ia32.cpp: make ORP can deal with any versions of
	glibc/LinuxThreads signal processing with same code sequence

2001-10-31 15:08  gwu2

	* base_natives/gnu_classpath/: java_lang_Double.cpp,
	find_natives_array.cpp, include/java_lang_Double.h: Change for
	latest classpath's java.lang.Double implementation.

2001-10-30 11:12  xli18

	* common/base/C_Interface.cpp: change the condition for
	class_is_initialized() from ST_initializing || ST_initialized to
	only ST_initialized

2001-10-29 09:41  xli18

	* base_natives/gnu_classpath/java_lang_Math.cpp,
	jar_zip_utils/JarFile.h, jar_zip_utils/Manifest.h: minor bug fixes,
	"ll" suffix, extern "C" declaration

2001-10-26 07:05  michal

	* interface/jit_intf.h: Removed sizeof_element.  Added
	class_get_primitive_type.

2001-10-26 07:02  michal

	* common/include/environment.h: Added missing types

2001-10-26 06:57  michal

	* common/: base/C_Interface.cpp, base/orp_init.cpp,
	class_loader/Class_File_Loader.cpp, class_loader/Environment.cpp:
	Added missing types

2001-10-25 15:49  xli18

	* mains/orp/: MakeInclude, Makefile: turn on MONITOR_STO

2001-10-25 15:34  xli18

	* arch/ia32/base/jit_runtime_support_ia32.cpp,
	base_natives/common/mon_enter_exit.cpp,
	base_natives/common/mon_enter_exit.h,
	base_natives/common/object_generic.cpp,
	base_natives/common/thread_generic.cpp, common/base/orp.cpp,
	common/base/orp_init.cpp, common/base/orp_stats.cpp,
	common/base/root_set_enum.cpp: removed the MT<->ST MONITOR_STO,
	only keep the lazy monitor.

2001-10-25 09:49  xhshi

	* arch/ia32/base/jit_runtime_support_ia32.cpp: Long division by
	native function

2001-10-25 02:25  michal

	* arch/ia32/base/exceptions_ia32.cpp: Enabled RT support function
	for throwing NullPointerException

2001-10-24 15:47  zying1

	* arch/ia32/: base/jit_runtime_support_ia32.cpp,
	ia32_o1_jit/cg_mul_div_mod.cpp,
	ia32_o3_jit/flow_graph_eliminate.cpp, ia32_o3_jit/ir.cpp:
	ORP_LONG_OPT

2001-10-21 17:22  xli18

	* changes.txt: update for version 1.0.7

2001-10-21 17:05  xli18

	* ChangeLog.txt: update it to 2001/10/16

2001-10-19 16:02  xhshi

	* interface/jit_runtime_support.h,
	arch/ia32/base/jit_runtime_support_ia32.cpp,
	arch/ia32/ia32_o3_jit/copy_prop.cpp, arch/ia32/ia32_o3_jit/ir.cpp,
	arch/ia32/ia32_o3_jit/ir.h: Long division by native function

2001-10-19 05:19  michal

	* interface/jit_intf.h: Standalone signatures

2001-10-19 02:46  michal

	* common/base/method.cpp: Iterator bug fix

2001-10-19 02:45  michal

	* common/base/C_Interface.cpp: Cleaned up line spacing

2001-10-18 20:05  xli18

	* arch/ia32/base/jit_runtime_support_ia32.cpp,
	base_natives/common/mon_enter_exit.cpp,
	base_natives/common/mon_enter_exit.h, common/base/orp.cpp:
	performance tuning for SpecJBB

2001-10-17 15:07  xli18

	* arch/ia32/ia32_o3_jit/ir.cpp: minor fix to cast log(int64) to
	log(double)

2001-10-17 14:49  xli18

	* arch/ia32/ia32_o3_jit/ir.cpp: minor fix for __max()

2001-10-16 18:26  xhshi

	* arch/ia32/ia32_o3_jit/ir.cpp: Long division by native function

2001-10-16 18:06  xli18

	* base_natives/common/mon_enter_exit.cpp,
	base_natives/common/mon_enter_exit.h,
	base_natives/common/object_generic.cpp,
	base_natives/common/thread_generic.cpp, common/base/orp_init.cpp:
	add active_thread_count for thread/monitor issues

2001-10-16 17:38  xhshi

	* arch/ia32/: ia32_o3_jit/ir.cpp,
	base/jit_runtime_support_ia32.cpp: Long division by native function

2001-10-16 17:31  xhshi

	* interface/jit_runtime_support.h,
	arch/ia32/base/jit_runtime_support_ia32.cpp,
	arch/ia32/ia32_o3_jit/ir.h, arch/ia32/ia32_o3_jit/ir.cpp,
	arch/ia32/ia32_o3_jit/copy_prop.cpp: Long division by native
	function

2001-10-16 16:17  xli18

	* arch/ia32/base/jit_runtime_support_ia32.cpp,
	base_natives/common/mon_enter_exit.cpp,
	base_natives/common/mon_enter_exit.h, common/base/orp.cpp: added
	minotor distribution instrumentation

2001-10-16 11:58  xli18

	* mains/orp/: MakeInclude, Makefile: minor fix

2001-10-16 11:45  xli18

	* base_natives/common/mon_enter_exit.cpp,
	base_natives/common/mon_enter_exit.h, common/base/orp.cpp,
	os/linux/include/platform.h: add monitor slow path execution time
	statistics(guarded by #ifdef MONITOR_TIME)
	* mains/orp/: MakeInclude, Makefile: minor fix

2001-10-16 10:51  xli18

	* base_natives/common/mon_enter_exit.cpp: implemented Linux
	orp_monitor_enter/exit_or_null(Java_java_lang_object *)

2001-10-15 17:02  gwu2

	* base_natives/gnu_classpath/java_io_FileInputStream.cpp: Fixed a
	bug which could be happen in closeInternal (try to close
	in/out/err).

2001-10-15 16:27  gwu2

	* base_natives/gnu_classpath/java_lang_Class.cpp: Modified some
	parts of java.lang.Class reflection native implementation to align
	with spec.

2001-10-15 14:50  xhshi

	* arch/ia32/ia32_o3_jit/: ir.cpp, flow_graph_nodes.cpp,
	flow_graph_dom.cpp, flow_graph.h, flow_graph.cpp: Fix the bug of
	lookupswitch

2001-10-14 04:02  michal

	* interface/orp_types.h: Added CHAR, IntPtr and UIntPtr types

2001-10-14 03:57  michal

	* common/include/environment.h: Added IntPtr and UIntPtr types

2001-10-14 03:45  michal

	* common/class_loader/: Class_File_Loader.cpp, Environment.cpp,
	Prepare.cpp: Added IntPtr and UIntPtr types


2001-10-13 23:10  xli18

	* mains/orp/: MakeInclude, Makefile: minor fix to move os/linux
	module to be the first built one

2001-10-13 21:38  xli18

	* common/gc/include/gc_perf.h, common/gc_v2/include/gc_perf.h,
	mains/orp/stubs.cpp, os/linux/include/platform.h: add gc stats time
	measurement to Linux

2001-10-12 22:47  rlhudson

	* GCv2 General cleanup. One bug fix when we try to
	return an empty block that from LOS.

2001-10-12 11:12  xli18

	* os/linux/include/platform.h: minor comments change

2001-10-12 10:57  gwu2

	* switch gc to gc_v2 for NT.


2001-10-12 09:37  xhshi

	* arch/ia32/ia32_o3_jit/flow_graph_dom.cpp: Fix the bug in
	Flow_Graph::loop_exit_normalization

2001-10-11 11:22  zying1

	* arch/ia32/ia32_o3_jit/code_gen.cpp: One bug in O3_VTune_Support
	in release mode

2001-10-11 01:46  rlhudson

	* add Linux support for GCv2

2001-10-10 16:42  xli18

	* add GCv2 in into ORP build

2001-10-09 13:29  xli18

	* mains/orp/: MakeInclude, Makefile: turn off MONITOR_STO because
	of a bug incurred with new code after 2001-Oct-01

2001-10-08 18:07  xli18

	* mains/orp/: Makefile, platform.mk: eliminate concurrent makings
	that "link linux os/Linux" twice; eliminate problem with "make
	clean" when no os/Linux exists.

2001-10-08 16:48  xhshi

	* arch/ia32/ia32_o3_jit/: flow_graph_nodes.cpp, flow_graph_dom.cpp:
	Fix the bug in Flow_Graph::loop_exit_normalization

2001-10-08 00:21  rlhudson

	* arch/ia32/base/root_set_enum_ia32.cpp: Reinstated an assert for
	situations where sleeping threads are found in a gc at safepoint
	status when they should have no status at all.

2001-10-08 00:19  rlhudson

	* common/gc_v2/: block_list.cpp, descendents.cpp, gc_for_orp.cpp,
	gc_space.cpp, gc_v2.dsp, generation.cpp, los.cpp, mrl_gc_v1.cpp,
	nursery_step_gen.cpp, step.cpp, step_generation.cpp, train.cpp,
	train_generation.cpp, include/block_list.h, include/gc1.h,
	include/gc_asserts.h, include/gc_space.h, include/gc_walk.h,
	include/generation.h, include/mrl_gc_v1.h, include/nursery.h,
	include/nursery_step_gen.h, include/step_generation.h: Cleanup
	mostly removing unused functions. Switch to performance based GC
	instead of low latency GC as the default. Nurseries are now moved
	into step as whole blocks if there is enough room.

2001-10-03 21:38  rlhudson

	* common/gc_v2/: block_list.cpp, block_store.cpp, gc_debug.cpp,
	gc_for_orp.cpp, gc_header.cpp, gc_space.cpp, gc_v2.dsp,
	generation.cpp, mrl_gc_v1.cpp, step_generation.cpp,
	include/block_store.h, include/gc_hooks.h, include/generation.h,
	include/step_generation.h: Code that starts to remove p_global_bs
	from the system as well as the block store class. It also fixes
	some minor bugs related to gc_wrapup.  To undo go back to
	Rick_Oct_2 tag.

2001-10-03 03:40  weldon

	* common/class_loader/Prepare.cpp: temporary patch for namespace,
	interface, method name resolutoin

2001-10-02 22:18  rlhudson

	* common/gc_v2/: block_list.cpp, block_store.cpp, gc_for_orp.cpp,
	los.cpp, mrl_gc_v1.cpp, nursery.cpp, nursery_step_gen.cpp,
	remembered_set.cpp, step.cpp, step_generation.cpp,
	include/block_store.h, include/mrl_gc_v1.h,
	include/step_generation.h: Fix to _209_db by removing an print
	statement left by mistake.  Various changes to convert from C++ to
	C code.

2001-10-01 21:38  rlhudson

	* common/gc/gc_debug.cpp: Move to using _DEBUG instead of GC_DEBUG,
	this fixes the double definition bug of gc_trace_slot seen during
	gcc compiles.

2001-10-01 09:29  michal

	* common/class_loader/Prepare.cpp: Value type support

2001-09-29 09:45  xli18

	* common/base/orp_init.cpp: minor fix for debug version not
	printing message to stdout

2001-09-28 23:57  rlhudson

	* for GC_REWORK to turn on define GC_REWORK

2001-09-28 23:33  rlhudson

	* common/class_loader/Prepare.cpp: Redo for GC_REWORK moves class
	fields need by GC into vtable.

2001-09-28 23:03  rlhudson

	* common/base/orp_init.cpp: Redo for GC_REWORK by removing
	Partial_Reveal_VTable.

2001-09-28 22:59  rlhudson

	* common/base/: jit_runtime_support.cpp, jni_array.cpp, orp.cpp:
	Redo for GC_REWORK by removing Partial_Reveal_VTable.

2001-09-28 22:38  rlhudson

	* arch/ia32/base/root_set_enum_ia32.cpp: Remove assert, if a thread
	is sleeping it can be at a gc_safe location from the previous
	collection.

2001-09-28 22:35  rlhudson

	* common/gc_v2/step_generation.cpp: GC_REWORK updates. Complete
	rewrite of GC.

2001-09-28 17:45  xli18

	* arch/ia32/base/jit_runtime_support_ia32.cpp,
	base_natives/common/mon_enter_exit.cpp,
	base_natives/common/mon_enter_exit.h: modified the indirect_monitor
	stack handling by simply push [esp+sizeof(J2Nframe)+4].

2001-09-26 11:12  xli18

	* base_natives/common/mon_enter_exit.cpp: minor bug fix, casting
	*(int *)num == NULL to *(int **)num == NULL

2001-09-25 12:51  xli18

	* arch/ia32/base/jit_runtime_support_ia32.cpp,
	base_natives/common/mon_enter_exit.cpp,
	base_natives/common/mon_enter_exit.h,
	base_natives/common/object_generic.cpp,
	base_natives/common/thread_generic.cpp,
	base_natives/gnu_classpath/gnu_specific.cpp, common/base/orp.cpp,
	common/base/orp_init.cpp, common/base/root_set_enum.cpp: Monitor
	Single Thread Optimization. To triggrt it, use MONITOR_STO and !
	USE_IA64_JIT

2001-09-24 18:29  xli18

	* common/include/orp_threads.h, mains/orp/MakeInclude,
	mains/orp/Makefile, os/linux/include/platform.h: Make TLS
	optimization adapted to different Linux versions

2001-09-21 09:23  fzhu

	* common/base/debug_utils.cpp, common/base/jvmdi_common.cpp,
	arch/ia32/base/debugger_ia32.cpp,
	arch/ia32/base/debugger_jvmdi_ia32.cpp,
	arch/ia32/base/jvmdi_ia32.cpp: the files are moved to debugger
	project

2001-09-20 11:21  xli18

	* os/linux/include/platform.h: optimized more of the TLS for
	non-gcc2.96 version

2001-09-20 09:48  gwu2

	* base_natives/gnu_classpath/java_lang_Float.cpp: Remove tail '0'
	in Java_java_lang_Float_toString for old classpath.

2001-09-19 17:01  xli18

	* common/include/orp_threads.h, mains/orp/MakeInclude,
	mains/orp/Makefile, os/linux/os_wrapper.cpp,
	os/linux/include/platform.h: Add flexibility to Linux makefiles for
	multiple compilation options: LINUX_TLS_OPT, OLD_VERSION_CLASSPATH,
	ZIP_JAR_ARCHIVE

2001-09-19 16:56  zying1

	* arch/ia32/ia32_o3_jit/code_gen.cpp: O3 dsp modified for VTune

2001-09-19 16:20  zying1

	* arch/ia32/ia32_o1_jit/ia32_o1_jit.dsp: O1 dsp modified for VTune

2001-09-19 15:21  gwu2

	* mains/nt_builds/nt_builds.dsw: Changed dependency from archive to
	jar_zip_utils.

2001-09-19 15:17  gwu2

	* jar_zip_utils/: JarFile.h, Jar_Entry.h, Manifest.h: Added extern
	"C" declarations.

2001-09-19 10:47  xli18

	* jar_zip_utils/archive.dsp, jar_zip_utils/jar_zip_utils.dsp,
	mains/nt_builds/nt_builds.dsw, mains/orp/Makefile: modified
	makefiles to support new directory jar_zip_utils

2001-09-19 10:23  xli18

	* common/include/jarfile_util.h: modified dir from archive to
	jar_zip_utils

2001-09-19 09:10  ywang13

	* arch/ia32/debugger/jvmdi_common.cpp: DOS to UNIX

2001-09-19 09:04  ywang13

	* jar_zip_utils/archive.dsp: modified for cpp support

2001-09-18 17:06  xhshi

	* arch/ia32/ia32_o3_jit/dumpjit.cpp: Fix the bug in dump_jit_bb(),
	contributed by Chandra Krintz.

2001-09-18 16:47  zying1

	* arch/ia32/dump/ia32_dump.cpp: Floating instructions dump error

2001-09-18 16:26  xli18

	* jar_zip_utils/Jar_Entry.h, jar_zip_utils/Makefile,
	common/include/jarfile_util.h, common/include/properties.h,
	jar_zip_utils/Manifest.h, jar_zip_utils/adler32.c,
	jar_zip_utils/adler32.cpp, jar_zip_utils/archive_util.h,
	jar_zip_utils/crc32.c, jar_zip_utils/crc32.cpp,
	jar_zip_utils/infblock.c, jar_zip_utils/infblock.cpp,
	jar_zip_utils/infcodes.c, jar_zip_utils/infcodes.cpp,
	jar_zip_utils/inffast.c, jar_zip_utils/inffast.cpp,
	jar_zip_utils/inflate.c, jar_zip_utils/inflate.cpp,
	jar_zip_utils/inftrees.c, jar_zip_utils/inftrees.cpp,
	jar_zip_utils/infutil.c, jar_zip_utils/infutil.cpp,
	jar_zip_utils/zutil.c, jar_zip_utils/zutil.cpp: Modified archive
	module Makefile and some minor bugs

2001-09-18 12:05  gwu2

	* base_natives/gnu_classpath/java_lang_Math.cpp,
	arch/ia32/base/jit_runtime_support_ia32.cpp: Added _isnan
	implementation for unix(like) platform.

2001-09-18 11:22  gwu2

	* base_natives/gnu_classpath/java_io_FileInputStream.cpp: Fixed a
	little bug in Java_java_io_FileInputStream_open().

2001-09-18 11:08  xhshi

	* arch/ia32/dump/ia32_dump.cpp: Remove 'r32','i32',ect from the
	float-point instructions.

2001-09-18 11:06  gwu2

	* base_natives/gnu_classpath/: java_lang_Double.cpp,
	java_lang_Float.cpp: Added "#include <string.h>" for non-nt
	platform compilation.

2001-09-18 10:49  gwu2

	* common/class_loader/Resolve.cpp: Added a null check in
	resolve_const_pool().

2001-09-18 10:48  gwu2

	* common/class_loader/Class.cpp: Added a null check in new_class().

2001-09-18 10:46  gwu2

	* common/base/jni_utils.cpp: Fixed a bug in
	unhandle_jobjectArray().

2001-09-18 10:45  gwu2

	* common/base/jni.cpp: Fixed a bug in DefineClass().

2001-09-18 10:43  gwu2

	* base_natives/gnu_classpath/java_lang_Class.cpp: Fixed a bug in
	Java_java_lang_Class_getSuperclass().

2001-09-18 10:41  gwu2

	* base_natives/gnu_classpath/java_lang_Double.cpp: Improved
	implementation of Double.toString.

2001-09-18 10:40  gwu2

	* base_natives/gnu_classpath/java_lang_Float.cpp: Improved
	implementation of Float.toString.

2001-09-18 10:38  gwu2

	* base_natives/gnu_classpath/java_lang_Math.cpp: Reimplemented
	Java_java_lang_Math_IEEEremainder().

2001-09-18 10:33  gwu2

	* base_natives/gnu_classpath/java_io_File.cpp: Improved
	get_correct_path() for ~ handling, changed some assert(0) to false
	return.

2001-09-18 10:23  gwu2

	* base_natives/gnu_classpath/java_io_FileInputStream.cpp: Fixed a
	bug in file name handling.

2001-09-17 11:04  xhshi

	* arch/ia32/dump/ia32_dump.cpp: Remove 'r32','i32',ect from the
	float-point instructions.

2001-09-15 02:01  rlhudson

	* common/gc_v2/: aaa_howto.cpp, aaa_readme.cpp, block_list.cpp,
	block_store.cpp, car.cpp, card_table.cpp, descendents.cpp,
	exit.cpp, file_list, garbage_collector.cpp, gc_asserts.cpp,
	gc_component.cpp, gc_consts.cpp, gc_debug.cpp, gc_for_orp.cpp,
	gc_globals.cpp, gc_header.cpp, gc_hooks.cpp, gc_interface.cpp,
	gc_perf.cpp, gc_plan.cpp, gc_space.cpp, gc_v2.dsp, gc_walk.cpp,
	generation.cpp, hash_table.cpp, ifdefStripTrain.bat,
	ifdefStripper.java, linux_api.cpp, los.cpp, los_container.cpp,
	mrl_gc_v1.cpp, nursery.cpp, nursery_step_gen.cpp, object_list.cpp,
	orp_interface.cpp, pair_table.cpp, remembered_set.cpp,
	sapphire.cpp, slot_offset_list.cpp, step.cpp, step_generation.cpp,
	to_from_table.cpp, train.cpp, train_generation.cpp, win32_api.cpp,
	include/block_list.h, include/block_store.h, include/car.h,
	include/card_table.h, include/descendents.h, include/gc1.h,
	include/gc_asserts.h, include/gc_component.h, include/gc_consts.h,
	include/gc_debug.h, include/gc_for_orp_deleted.h,
	include/gc_globals.h, include/gc_header.h, include/gc_hooks.h,
	include/gc_interface.h, include/gc_perf.h, include/gc_plan.h,
	include/gc_profile.h, include/gc_space.h, include/gc_walk.h,
	include/gc_wb_for_willie.h, include/generation.h,
	include/hash_table.h, include/linux_api.h, include/los.h,
	include/los_container.h, include/mrl_gc_v1.h, include/nursery.h,
	include/nursery_step_gen.h, include/object_demographics.h,
	include/object_list.h, include/object_set.h,
	include/obsolete_space.h, include/pair_table.h,
	include/remembered_set.h, include/root_set.h, include/sapphire.h,
	include/scan_set.h, include/slot_offset_list.h, include/step.h,
	include/step_generation.h, include/to_from_table.h,
	include/train.h, include/train_generation.h, include/win32_api.h:
	This is the original source for the GC Version 2 code. To compile
	it on W2K change the ORP project dependency by adding gc_v2 and
	eliminate orp's gc dependency. No changes have been made outside
	the gc_v2 directory.

2001-09-14 16:28  fzhu

	* arch/ia32/debugger/: debugger_ia32.cpp,
	debugger_ia32_breakpoint.cpp, debugger_ia32_list.cpp,
	debugger_ia32_locals.cpp, debugger_ia32_utils.cpp: 
	debugger files

2001-09-14 16:14  fzhu

	* mains/nt_builds/nt_builds.dsw: added one new static library
	project debugger

2001-09-14 15:08  fzhu

	* common/base/orp.cpp: added the implementations of
	resolve_virtual_method and resolve_special_method

2001-09-14 15:07  fzhu

	* common/include/Class.h: added the declaration of
	resolve_virtual_method and resolve_special_method

2001-09-14 15:02  fzhu

	* arch/ia32/ia32_o1_jit/jit.cpp: xiaohua fixed one bug in
	unwind_with_cache.

2001-09-14 15:00  fzhu

	* arch/ia32/base/compile_IA32.cpp: added set breakpoint code for
	debugger

2001-09-13 17:52  gwu2

	* base_natives/gnu_classpath/java_io_File.cpp: Fixed a bug in
	Java_java_io_File_lastModifiedInternal.

2001-09-12 16:40  gwu2

	* common/class_loader/Makefile, mains/orp/Makefile: Switch
	ZIP_JAR_ARCHIVE on.

2001-09-11 14:18  gwu2

	* jar_zip_utils/Manifest.h: Removed declaration of uint8.

2001-09-11 14:11  gwu2

	* common/include/: jarfile_util.h, properties.h: Added some
	preprocessors for different platforms.

2001-09-11 14:09  gwu2

	* mains/orp/orp.dsp, common/class_loader/class_loader.dsp: Switch
	ZIP_JAR_ARCHIVE on to support jar file on default.

2001-09-11 13:38  xli18

	* common/cli_loader/cli_loader.dsp: change to DOS format EOL

2001-09-11 10:57  gwu2

	* jar_zip_utils/Makefile: Added c compiling support to deal with
	zlib c files.

2001-09-11 09:01  gwu2

	* jar_zip_utils/Makefile: Temporarily use this.

2001-09-10 17:05  gwu2

	* common/include/properties.h: Removed destructor declaration of
	Prop_Value.

2001-09-10 16:45  gwu2

	* jar_zip_utils/: adler32.c, crc32.c, infblock.c, infcodes.c,
	inffast.c, inflate.c, inftrees.c, infutil.c, zutil.c, crc32.c,
	infblock.c, infcodes.c, inffast.c, inflate.c, inftrees.c,
	infutil.c, zutil.c: Changed back to c files.

2001-09-10 15:52  gwu2

	* jar_zip_utils/archive.dsp: Xiaofeng advised that change all .c
	files into .cpp files.

2001-09-10 13:29  gwu2

	* common/include/properties.h: Changed destructor of Prop_Value.

2001-09-10 13:22  gwu2

	* jar_zip_utils/Manifest.h: Changed declaration of uint8.


2001-09-10 10:51  gwu2

	* Added the capability to run jar file.

2001-09-10 10:19  gwu2

	* common/include/orp_utils.h: Moved in ExpandableMemBlock from
	java_lang_Throwable.cpp.

2001-09-10 10:17  gwu2

	* base_natives/gnu_classpath/java_lang_Throwable.cpp: Removed
	ExpandableMemBlock into orp_utils.h

2001-09-10 09:58  gwu2

	* jar_zip_utils/: JarFile.cpp, JarFile.h, Jar_Entry.cpp,
	Jar_Entry.h, Manifest.cpp, Manifest.h, inflate.c, inftrees.c,
	inftrees.h, infutil.c, infutil.h, zconf.h, zlib.h, zutil.c,
	zutil.h, adler32.c, archive.dsp, archive_util.h, crc32.c,
	infblock.c, infblock.h, infcodes.c, infcodes.h, inffast.c,
	inffast.h, inffixed.h: ZIP/JAR archive support. Most of these parts
	are contributed by Yang Yong.

2001-09-07 18:14  zying1

	* arch/ia32/ia32_o3_jit/opt_bound_elimination.cpp: add NO_CSE &
	NO_LOOP_INVARIANT

2001-09-07 17:52  xli18

	* base_natives/gnu_classpath/gnu_specific.cpp: override
	Thread.join(JI)V wth ORP native implementation

2001-09-06 14:41  xhshi

	* arch/ia32/dump/ia32_dump.cpp: Fix a bug in dump-fpu

2001-09-05 14:23  zying1

	* arch/ia32/ia32_o1_jit/cg_array_access.cpp: JIT O1 -- Add
	get_array_offset() and array_length_offset() interface

2001-09-05 12:58  xhshi

	* arch/ia32/ia32_o3_jit/: ir.cpp, build_ir_routines.cpp: Use VM
	interface array_length_offset/get_array_offset to replace the old
	hard codes "4/8".

2001-09-05 11:41  xli18

	* arch/ia32/base/Makefile, arch/ia32/base_natives/Makefile,
	arch/ia32/dump/Makefile, arch/ia32/ia32_o1_jit/Makefile,
	arch/ia32/ia32_o3_jit/Makefile, arch/ia32/x86/Makefile,
	base_natives/common/Makefile, base_natives/gnu_classpath/Makefile,
	common/base/Makefile, common/class_loader/Makefile,
	common/gc/Makefile, common/jit_utils/Makefile,
	mains/orp/MakeInclude, os/bsd/Makefile, os/linux/Makefile: Modified
	Makfiles so that it's easy to change compilation options

2001-09-05 11:21  zying1

	* arch/ia32/ia32_o1_jit/cg_array_access.cpp: JIT O1 -- Add
	get_array_offset() and array_length_offset() interface

2001-09-05 11:10  xli18

	* arch/ia32/dump/ia32_dump.cpp: Modify the output format for
	dumpjit

2001-09-05 10:07  xhshi

	* arch/ia32/ia32_o3_jit/flow_graph_eliminate.cpp: Fix the "dead
	loop" bug in DCE .

2001-09-05 06:34  michal

	* common/: class_loader/Prepare.cpp, include/object_layout.h:
	Initial mods for NEW_OBJ_LAYOUT

2001-09-05 01:22  michal

	* common/base/C_Interface.cpp: Added orp_resolve_class()

2001-09-04 18:17  xli18

	* Makefile, platform.mk, mains/orp/MakeInclude, mains/orp/Makefile,
	mains/orp/platform.mk: Modify the Linux Makefiles, so that the
	original build method is still valid

2001-09-04 16:34  xhshi

	* arch/ia32/ia32_o3_jit/flow_graph_eliminate.cpp: I believe that
	the "dead loop" bug on DCE has been totally fixed in this version.

2001-09-04 15:40  xhshi

	* arch/ia32/ia32_o3_jit/opt_peephole.cpp: Fix the
	"gnu.text.LineBufferedReader" bug in Peephole. It's contributed by
	Gansha.

2001-09-03 09:36  xli18

	* arch/ia32/base/.cvsignore, arch/ia32/base_natives/.cvsignore,
	arch/ia32/dump/.cvsignore, arch/ia32/ia32_o1_jit/.cvsignore,
	arch/ia32/ia32_o3_jit/.cvsignore, arch/ia32/x86/.cvsignore,
	base_natives/common/.cvsignore,
	base_natives/gnu_classpath/.cvsignore, common/base/.cvsignore,
	common/class_loader/.cvsignore, common/gc/.cvsignore,
	common/jit_utils/.cvsignore, mains/orp/.cvsignore,
	os/linux/.cvsignore: let CVS ignore Linux directory

2001-08-30 16:38  xli18

	* common/gc/block_store.cpp: Fixed a bug that breaks orp when
	initial heap size is very small

2001-08-30 16:10  zying1

	* arch/ia32/dump/ia32_dump.cpp: fix unknown (pop) bug in dumpjit

2001-08-30 15:20  xhshi

	* arch/ia32/ia32_o3_jit/flow_graph_eliminate.cpp: Fix the dead_loop
	bug in dead_code_eliminate.

2001-08-29 15:33  gwu2

	* base_natives/gnu_classpath/java_lang_VMSystem.cpp: Added ORP/APP
	specified properties supports.

2001-08-29 14:47  gwu2

	* common/class_loader/Prepare.cpp: Remove comments before assert
	when considering unimplemented method because version differences.

2001-08-29 10:03  xhshi

	* arch/ia32/ia32_o3_jit/flow_graph_eliminate.cpp: Add some debug
	codes for dead_code_eliminate. It's turned off by default.

2001-08-29 09:56  xhshi

	* arch/ia32/ia32_o3_jit/ir.cpp: Fix a bug when dump
	"new_stat_indirec_call"

2001-08-29 09:55  gwu2

	* base_natives/gnu_classpath/java_lang_Thread.cpp: Remove a message
	print in interrupt implementation.

2001-08-29 09:54  gwu2

	* base_natives/gnu_classpath/java_lang_Double.cpp: Fix a bug in
	Double.toString().

2001-08-29 09:52  gwu2

	* base_natives/gnu_classpath/java_lang_Throwable.cpp: Comment out
	get thread name temporarily.

2001-08-29 09:08  xli18

	* arch/ia32/dump/ia32_dump.cpp: declare 'unsigned i' to 'int i' so
	as to eliminate a warning message in VC++

2001-08-29 06:58  Michal

	* interface/orp_types.h: Added new types (Weldon)

2001-08-29 06:57  Michal

	* interface/jit_runtime_support.h: Added orp_new_vector()

2001-08-29 06:52  Michal

	* common/include/orp_utils.h: Added orp_new_vector()

2001-08-29 06:52  Michal

	* common/include/object_layout.h: Added unsigned integer types
	* common/include/environment.h: Added unsigned integer types

2001-08-29 06:46  Michal

	* common/include/Class.h: Added Method::get_parameter_java_type() 
	(Weldon)

2001-08-29 06:40  Michal

	* common/class_loader/: Environment.cpp, Prepare.cpp: Added
	unsigned integer types

2001-08-29 06:35  Michal

	* common/: base/orp_init.cpp, class_loader/Class_File_Loader.cpp:
	Added unsigned integer types

2001-08-29 06:34  Michal

	* common/base/method.cpp: Added Method::get_parameter_java_type() 
	(Weldon)

2001-08-29 06:32  Michal

	* common/base/jit_runtime_support.cpp: - Added orp_new_vector() -
	Added unsigned integer types

2001-08-29 06:31  Michal

	* common/base/C_Interface.cpp: Added unsigned integer types

2001-08-29 06:24  Michal

	* arch/ia32/base/jit_runtime_support_ia32.cpp: Added
	orp_new_vector()

2001-08-28 13:36  zying1

	* interface/jit_runtime_support.h,
	arch/ia32/base/jit_runtime_support_ia32.cpp,
	arch/ia32/ia32_o3_jit/ir.cpp, arch/ia32/ia32_o3_jit/code_gen.cpp:
	remove O3 specifie marco definition in jit_runtime_support.h

2001-08-28 09:12  xli18

	* os/nt/java_lang_thread_nt.cpp: null file, removed

2001-08-28 00:02  Michal

	* base_natives/gnu_classpath/: include/java_io_FileInputStream.h,
	java_io_FileInputStream.cpp: Fixed a build problem (changed 'struct
	JavaArrayOfByte' to 'JavaArrayOfByte').

2001-08-27 14:45  xli18

	* base_natives/gnu_classpath/java_lang_System.cpp: fixed tv_sec
	integer overflow bug in Java_java_lang_System_currentTimeMillis()
	by typecasting it to be int64

2001-08-27 10:47  xli18

	* arch/Makefile, arch/ia32/Makefile,
	base_natives/gnu_classpath/include/Makefile, common/Makefile,
	common/gc/include/Makefile, common/include/Makefile,
	common/jit_utils/include/Makefile, docs/Makefile,
	interface/Makefile, mains/Makefile, os/Makefile,
	os/bsd/include/Makefile, os/linux/include/Makefile: remove
	unnecessary Makefiles, because we don't use Gnu autotools now

2001-08-27 10:23  gwu2

	* base_natives/gnu_classpath/java_lang_Throwable.cpp: Removed first
	iteration optimization, it's wrong.

2001-08-24 17:43  xli18

	* base_natives/common/thread_generic.cpp, common/gc/mrl_gc_v1.cpp:
	move gc_get_new_nursery invocation from child thread(in
	call_the_run_method()) to parent thread in
	java_lang_Thread_start_generic(). This move fixes the bug incurred
	by waking-up parent thread and setting self status to be
	thread_is_running. At the same time, it simplifies GC greatly.
	Certainly, we break the intended semantics of gc_get_new_nursery(),
	so we comment the (orp_get_nursery() == NULL) assertion in
	Mrl_Gc_V1::p_cycle_nursery().

2001-08-24 10:24  gwu2

	* base_natives/common/object_generic.cpp: Check whether the
	hashcode is 0, if so regenerate it.

2001-08-24 10:19  gwu2

	* base_natives/gnu_classpath/java_lang_Throwable.cpp: Changed
	default ExpandableMemBlock size to reduce chances  to realloc. 
	Changed realloc policy of ExpandableMemBlock (from > 0 to >= 0). 
	Removed one iteration of unwind to enhance performance.

2001-08-23 17:21  gwu2

	* checkin for new GNU Classpath support.

2001-08-23 15:10  gwu2

	* common/: base/orp_init.cpp, class_loader/Prepare.cpp,
	class_loader/Class_File_Loader.cpp, class_loader/Class.cpp,
	: Combine NEW_JAVA_LANG_CLASS_LAYOUT and
	OLD_VERSION_CLASSPATH to *not* OLD_VERSION_CLASSPATH.

2001-08-23 14:11  gwu2

	* base_natives/gnu_classpath/java_io_FileDescriptor.cpp: Added
	"#include <unistd.h>" for ORP_POSIX.

2001-08-23 14:08  gwu2

	* base_natives/gnu_classpath/include/java_lang_Throwable.h: Added
	new Throwable native support for new classpath.

2001-08-23 13:31  gwu2

	* common/base/exceptions.cpp: Modified
	print_uncaught_exception_message().

2001-08-23 13:30  gwu2

	*
	base_natives/gnu_classpath/include/java_net_PlainSocketImpl_common.
	h: Added different handling of "localport" for PlainSocketImpl and
	"localPort" for PlainDiagramSocketImpl.

2001-08-23 13:24  gwu2

	* base_natives/gnu_classpath/java_lang_Thread.cpp: Changed the
	assert in nativeInterrupt to a meaningful info.

2001-08-23 11:51  gwu2

	* base_natives/gnu_classpath/initialization.cpp: for new classpath,
	it's unnecessary to load thread_dot_data.class.

2001-08-23 11:44  gwu2

	* base_natives/common/find_natives.cpp: Removed error info when
	loading library "runtime.dll/so".

2001-08-23 11:41  gwu2

	* refine properties support.

2001-08-23 11:19  gwu2

	* base_natives/gnu_classpath/find_natives_array.cpp: Added/modified
	method mappings for new classpath.  Normalize tab to 4 spaces.

2001-08-23 11:12  gwu2

	* common/jit_utils/include/bit_vector.h: Fixed a bug in Bit_Vector
	copy constructor.

2001-08-23 10:30  xli18

	* arch/ia64/base/compile_IA64.cpp, mains/orp/main.cpp,
	mains/orp/orp_main_ia64nt_gnucp.mak: Tatiana's minor fixes for IA64
	build

2001-08-23 09:56  gwu2

	* arch/ia32/base/stack_manipulation_ia32.cpp: Added check validity
	for prev_meth.

2001-08-22 17:49  gwu2

	* Properties support

2001-08-22 17:42  gwu2

	* common/base/jni.cpp: Added name transformation ('.' to '/') in
	DefineClass

2001-08-22 17:39  gwu2

	* base_natives/gnu_classpath/java_io_FileDescriptor.cpp: Added
	implementation of syncInternal

2001-08-22 17:34  gwu2

	* common/class_loader/Prepare.cpp: Remove two asserts to make
	orp/classpath run with apps that depends on old versions of JDK.

2001-08-22 17:27  gwu2

	* common/base/jni_utils.cpp: Changed FindClass to
	orp_create_local_object_handle() + java_reference assignment, which
	will be more efficient and avoid bugs.

2001-08-22 17:16  gwu2

	* base_natives/gnu_classpath/java_lang_Class.cpp: Fixed bugs in
	forName.  Fixed bugs in getFields and getDeclaredFields.

2001-08-22 17:03  gwu2

	* base_natives/gnu_classpath/java_io_File.cpp: Added exception
	handling in Java_java_io_File_listInternal.  Replaced some assert
	by return value.

2001-08-22 10:08  xli18

	* arch/ia32/ia32_o3_jit/ir.h: change is_inlinable_call to make
	gnu/vm/stack/StackTrace.copyCurrentStackTrace() not inlinable

2001-08-20 11:26  xli18

	* Tatiana's package for IA-64 build, 2001-08-20

2001-08-17 18:56  xli18

	* ChangeLog.txt: update with 2001-08-17

2001-08-17 18:45  xli18

	* base_natives/common/object_generic.cpp: Fixed a bug that makes
	SpecJBB2000 break

2001-08-17 17:24  xli18

	* arch/ia32/dump/ia32_dump.cpp: declare unsigned i out of for
	statement to make gcc happy

2001-08-17 11:09  gwu2

	* base_natives/gnu_classpath/: java_io_ObjectInputStream.cpp,
	java_io_ObjectOutputStream.cpp, java_lang_reflect_Array.cpp,
	java_lang_reflect_Method.cpp: Added Copyright notices.

2001-08-15 10:46  xhshi

	dot2ps.sh bug fix

2001-08-14 19:43  ywang13
 
        * arch/ia32/base/jit_runtime_support_ia32.cpp: ORP_LINUX -->
        ORP_POSIX by WangYong

2001-08-14 16:21  zying1

	* arch/ia32/ia32_o1_jit/lazy_code_selector.cpp: bug fixed by Gansha,
	i.e. method counts by prepass and jit are different

2001-08-14 16:18  zying1

 	add VTune_Support


2001-08-14 12:52  xli18

	* common/gc/gc_for_orp.cpp: include <ctype.h> for tolower()

2001-08-14 12:00  Michal

	* interface/orp_types.h: Moved ORP_Data_Type to orp_types.h.

2001-08-14 09:40  xhshi

	* arch/ia32/ia32_o3_jit/: code_emitter.cpp,
	loop_invariant_path.cpp: Fix the bugs "inaccess field" && "addzero"

2001-08-13 17:59  xhshi

	* update the VTUNE & Instrumentation & READ_BARRIER support in JIT.
	 - Fixed one bug in O1(aconst_null + checkcast).  
	 - Fixed one bug in O3(pBOB assert in prop_type_info).

2001-08-09 12:58  xli18

	* ChangeLog.txt: update with current progress, and change date
	format from mm/dd/yy to yyyy/mm/dd in old items


2001-08-08 19:14  xli18

	* base_natives/gnu_classpath/java_lang_Double.cpp: use sprintf()
	for ecvt() to implement Double.toSting()

2001-08-08 17:31  xli18

	* os/linux/signals_ia32.cpp: add comments for signal processing

2001-08-08 08:40  fzhu

	* make the RNI method java_lang_String_intern to work


2001-08-07 15:45  gwu2

	* mains/orp/stubs.cpp: A little modification of GetLastError and
	WSAGetLastError for Linux.

2001-08-07 15:41  gwu2

	* common/include/orp_utils.h: Added class definitions of
	CriticalSection and CriticalSectionHelper.

2001-08-07 15:30  gwu2

	* common/class_loader/Prepare.cpp: 1. Added
	assign_values_to_class_static_final_fields().  2. Added STEP 20 in
	class_prepare to deal with initialization of static final fields.

2001-08-07 15:28  gwu2

	* common/class_loader/Class_File_Loader.cpp: 1. A little patch in
	class_parse() dealing with null class name from defineClass.  2.
	Comment out the assert in load_class().  3. Added circular
	reference handling in load_class_by_loader().

2001-08-07 15:25  gwu2

	* common/base/method.cpp: 1. Gave an implementation of
	Method::get_return_class_type() based on
	method_get_return_type_class().

2001-08-07 15:24  gwu2

	* common/base/jni_utils.cpp: 1. Added some utility functions:	  
	unhandle_jobjectArray	   WrapPrimitiveValueJ	   
	UnwrapWrapperObjectJ 2. Modified some problems because of field
	name changes from classpath

2001-08-07 15:21  gwu2

	* common/base/jni.cpp: A little patch in DefineClass dealing with
	null class name.

2001-08-07 15:20  gwu2

	* common/base/compile.cpp: A little patch for avoiding assert when
	"Couldn't find main" message should be reported.

2001-08-07 15:11  gwu2

	* base_natives/gnu_classpath/java_net_PlainSocketImpl_common.cpp:
	1. Add timeout option set/get for NT, Linux doesn't support this
	option.  2.Refactored many error handling codes.  3. Some little
	patches and comments.

2001-08-07 15:09  gwu2

	* base_natives/gnu_classpath/java_net_PlainSocketImpl.cpp: 1. Add
	timeout support for socket.read() and ServerSocket.accept(). 
	2.Refactored many error handling codes.

2001-08-07 15:05  gwu2

	* base_natives/gnu_classpath/java_net_InetAddress.cpp: Made
	InetAddress thread-safe by introducing critical section when call
	gethostbyXXX.

2001-08-07 15:03  gwu2

	* base_natives/gnu_classpath/java_lang_reflect_Field.cpp: 1.
	According to new Classpath Field native interface, we :     a.
	Removed Java_java_lang_reflect_Field_getName(), Classpath do this  
	  b. Removed All arguments of "jclass caller_class" in method
	declarations	 c. Remove "jclass type" argument in
	Java_java_lang_reflect_Field_set() 2. Modified
	Java_java_lang_reflect_Field_getType() to deal with special class
	name

2001-08-07 15:00  gwu2

	* base_natives/gnu_classpath/java_lang_reflect_Constructor.cpp:
	Added implementation of:     getModifiers

2001-08-07 15:00  gwu2

	* base_natives/gnu_classpath/java_lang_VMSecurityManager.cpp: Added
	implementation of:     currentClassLoader

2001-08-07 14:59  gwu2

	* base_natives/gnu_classpath/java_lang_VMClassLoader.cpp: Added
	implementation of:     defineClass     resolveClass

2001-08-07 14:58  gwu2

	* base_natives/gnu_classpath/java_lang_Class.cpp: 1. Removed
	obsoleted function getComponentType(); 2. Modified forName() to
	deal with Class's implementation of getComponentType.  3. Added
	implementations of:    getConstructor	 getDeclaredConstructor   
	getConstructors    getDeclaredConstructors    getField	 
	getDeclaredField    getFields	 getDeclaredFields    getMethod   
	getDeclaredMethod    getMethods    getDeclaredMethods

2001-08-07 14:53  gwu2

	* base_natives/gnu_classpath/java_io_RandomAccessFile.cpp: A little
	patch in Java_java_io_RandomAccessFile_open(): when the file
	doesn't exist, should be capable of creating it.

2001-08-07 14:50  gwu2

	* base_natives/gnu_classpath/java_io_FileOutputStream.cpp: A little
	patch in Java_java_io_FileOutputStream_closeInternal: evaluate
	whether file_d is -1.

2001-08-07 14:49  gwu2

	* base_natives/gnu_classpath/java_io_FileInputStream.cpp: Use
	get_corrected_path() to do path normalizing.

2001-08-07 14:48  gwu2

	* base_natives/gnu_classpath/java_io_File.cpp: 1. Made
	get_corrected_path() global.  2. Added implementation of
	Java_java_io_File_deleteInternal().  3. A little patch in
	Java_java_io_File_isDirectoryInternal(): remove tail dir separator
	before calling access().

2001-08-07 14:45  gwu2

	* base_natives/gnu_classpath/gnu_classpath.dsp: Added the following
	files into gnu_classpath project: java_lang_reflect_Array.cpp
	java_lang_reflect_Method.cpp java_io_ObjectInputStream.cpp
	java_io_ObjectOutputStream.cpp Should be converted back into VC 5.0
	format!!

2001-08-07 14:43  gwu2

	* base_natives/gnu_classpath/find_natives_array.cpp: Added many
	lately implemented native function info into built-in function
	arrays, and removed some obsoleted functions.

2001-08-07 14:41  gwu2

	* base_natives/common/find_natives.cpp: Removed "Couldn't open dll"
	error message in debug version. Classpath needs to load these dlls
	to find native implementation, but we use built-in function arrays
	instead of dependency to dlls.

2001-08-07 14:33  gwu2

	* base_natives/gnu_classpath/java_io_ObjectOutputStream.cpp: Add
	native implementation of java.io.ObjectOutputStream, it might
	undergo changes if classpath merges into libgcj.

2001-08-07 14:31  gwu2

	* base_natives/gnu_classpath/java_lang_reflect_Array.cpp: Add
	native implementation of java.lang.reflect.Array
	* base_natives/gnu_classpath/java_lang_reflect_Method.cpp: Add
	native implementation of java.lang.reflect.Method

2001-08-07 13:37  xli18

	* docs/gc-intf.txt: change from UNIX newline(\n) to DOS return and
	newline(\r\n).

2001-08-06 18:11  Michal

	* ChangeLog.txt: change date format from mm/dd/yyyy to yyyy/mm/dd

2001-08-06 17:14  Michal

	* common/class_loader/Class.cpp: - Exported class_next_id
	
	- Added code for the new layout of java/lang/Class in which the
	Java instance fields are allocated after the ORP data instead of
	being allocated before the ORP data.  That will make ORP
	independent from the number of instance fields defined in
	Class.java.
	

2001-08-03 15:50  xli18

	* platform.mk: "test -L os/$(UNAME)" before "ln -sf" to prevent
	self cycle link

2001-08-03 15:47  xli18

	* os/linux/signals_ia32.cpp: #undef __USE_XOPEN to keep gcc 3.0
	happy

2001-08-03 13:34  xli18

	* common/class_loader/Prepare.cpp: declare "unsigned i" at the
	beginning ot each function when used in statement for(i=0; ....)
	multiple times, so that both gcc and VC++ are happy

2001-08-03 11:16  xli18

	* Applied Arun patch for POSIX compatibility, 2001-08-03

2001-08-02 09:24  Rlhudson

	* common/gc/: card_table.cpp, gc_for_orp.cpp, mrl_gc_v1.cpp: Rick's
	update 2001-07-31 for a performance bug needed by IA-64

2001-07-27 17:19  xli18

	* mains/orp/main.cpp: change version num from 1.0.4 to 1.0.5

2001-07-27 11:14  xli18

	* common/gc/gc_for_orp.cpp: correct small error in
	gc_next_command_line_argument(), which doesn't return after
	processing an argument

2001-07-27 11:00  xli18

	* common/base/bytereader.cpp: #include <iostream.h> for Linux to
	make gcc 3.0 happy

2001-07-25 15:43  xhshi

	* arch/ia32/ia32_o3_jit/: opt_peephole.cpp,
	loop_invariant_path.cpp, code_emitter.cpp: Arun patch for POSIX
	compatibility, 2001-08-03

2001-07-24 11:30  xli18

	* arch/ia32/ia32_o3_jit/code_emitter.cpp: fix the bug of a=a+0 or
	a=a*1 optimization

2001-07-24 09:54  fzhu

	* base_natives/gnu_classpath/java_lang_Runtime.cpp: modify
	copyCurrentStackTrace,so that the length of frame array can
	increase dynamicly.

2001-07-23 16:33  xli18

	* os/linux/signals_ia32.cpp: change signal context locating method
	according to shudo's patch

2001-07-23 16:31  xli18

	* base_natives/common/thread_generic.cpp: in
	java_lang_Thread_sleep_generic(), remove the orp_gc_disable between
	    p_thread_lock->_lock_enum() and    
	p_thread_lock->_unlock_enum();	and remove the orp_gc_enable after
	the unlock_enum.

2001-07-23 16:29  xli18

	* base_natives/common/thread_manager.cpp: define thread_handle for
	main thread to be pthread_self() in Linux

2001-07-23 16:28  xli18

	* base_natives/gnu_classpath/gnu_specific.cpp: type cast
	(ORP_thread *)for pthread_getspecific to make newer gcc happy

2001-07-23 16:27  xli18

	* base_natives/gnu_classpath/java_lang_ThreadGroup.cpp: define name
	of main thread as "main"

2001-07-23 16:26  xli18

	* common/base/bytereader.cpp: #include <unistd.h> for read(2) in
	Linux with newer gcc version

2001-07-23 15:51  xli18

	* base_natives/common/thread_generic.cpp: in call_the_run_method(),
	the newly created thread wakeups its parent  after it's status is
	set to "thread_is_running", and before it executes java code.

*****************  gnu_specific.cpp  *****************
User: Fenghua         Date: 2001/07/05  Time:  5:01p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Support for printing the stack trace of uncaught exceptions

*****************  compile.cpp  *****************
User: Fenghua         Date: 2001/07/05  Time:  5:01p
Checked in $/orp/common/base
Comment:
  Support for printing the stack trace of uncaught exceptions

*****************  ir.h  *****************
User: Xiaohua         Date: 2001/07/05  Time:  4:57p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed the O3 assertion failure reported by many users.

*****************  opt_bound_elimination.cpp  *****************
User: Xiaohua         Date: 2001/07/05  Time:  4:57p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed the O3 assertion failure reported by many users.

*****************  java_io_FileOutputStream.cpp  *****************
User: Michal          Date: 2001/07/05  Time:  4:55p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Added Takashi Okamoto's patch for O_WRONLY.

*****************  changes.txt  *****************
User: Michal          Date: 2001/07/03  Time:  5:17p
Checked in $/orp
Comment:
  Added changes for version 1.0.4.

*****************  ChangeLog.txt  *****************
User: Michal          Date: 2001/07/03  Time:  5:03p
Checked in $/orp
Comment:
  Added log entries since 2001-03-29

*****************  main.cpp  *****************
User: Michal          Date: 2001/07/03  Time:  4:48p
Checked in $/orp/mains/orp
Comment:
  Changed version number to 1.0.4.

*****************  java_lang_Runtime.cpp  *****************
User: Fenghua         Date: 2001/07/03  Time:  4:46p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Fixed the gc_enabled assertion failure in stack unwinding.

*****************  gc_for_orp.h  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:58a
Checked in $/orp/common/include
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  gc_space.h  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:58a
Checked in $/orp/common/gc/include
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  gc_plan.h  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:58a
Checked in $/orp/common/gc/include
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  gc_globals.h  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:57a
Checked in $/orp/common/gc/include
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  card_table.h  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:57a
Checked in $/orp/common/gc/include
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  block_list.h  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:57a
Checked in $/orp/common/gc/include
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  nursery_step_gen.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:56a
Checked in $/orp/common/gc
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  gc_space.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:56a
Checked in $/orp/common/gc
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  gc_plan.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:55a
Checked in $/orp/common/gc
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  gc_perf.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:55a
Checked in $/orp/common/gc
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  gc_globals.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:55a
Checked in $/orp/common/gc
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  gc_for_orp.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:54a
Checked in $/orp/common/gc
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  card_table.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:54a
Checked in $/orp/common/gc
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  block_store.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:53a
Checked in $/orp/common/gc
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  ir.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:52a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  root_set_enum_ia32.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:51a
Checked in $/orp/arch/ia32/base
Comment:
  Code to support page size cards (4096 bytes) as well as the GC_PT_WB
code to support page table support for write barriers.

*****************  mrl_gc_v1.cpp  *****************
User: Rlhudson        Date: 2001/06/27  Time:  8:49a
Checked in $/orp/common/gc
Comment:
  Fix for when we get wedged by wanting to have more nurseries because
there are more new threads and we just keep GCing.
Also some GC_PT_WB support of page table (PTE) write barriers.

*****************  java_lang_Runtime.h  *****************
User: Fenghua         Date: 2001/06/25  Time:  3:16p
Checked in $/orp/base_natives/gnu_classpath/include
Comment:
  Added stack trace support for GNU Classpath

*****************  C_Interface.cpp  *****************
User: Fenghua         Date: 2001/06/25  Time:  3:16p
Checked in $/orp/common/base
Comment:
  Added stack trace support for GNU Classpath

*****************  find_natives_array.cpp  *****************
User: Fenghua         Date: 2001/06/25  Time:  3:16p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Added stack trace support for GNU Classpath

*****************  gnu_specific.cpp  *****************
User: Fenghua         Date: 2001/06/25  Time:  3:16p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Added stack trace support for GNU Classpath

*****************  java_lang_Runtime.cpp  *****************
User: Fenghua         Date: 2001/06/25  Time:  3:16p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Added stack trace support for GNU Classpath

*****************  java_io_FileInputStream.cpp  *****************
User: Gansha          Date: 2001/06/25  Time:  1:27p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Fixed getFileLength and skipInternal.  Those fixes are needed to
make _213_javac run.

*****************  platform.h  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/os/linux/include
Comment:
  Linux threading fixes

*****************  main.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/mains/orp
Comment:
  Linux threading fixes

*****************  Makefile  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/mains/orp
Comment:
  Linux threading fixes

*****************  orp.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/common/base
Comment:
  Linux threading fixes

*****************  orp_threads.h  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/common/include
Comment:
  Linux threading fixes

*****************  thread_manager.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/base_natives/common
Comment:
  Linux threading fixes

*****************  thread_manager.h  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/base_natives/common
Comment:
  Linux threading fixes

*****************  gnu_specific.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Linux threading fixes

*****************  thread_generic.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:56p
Checked in $/orp/base_natives/common
Comment:
  Linux threading fixes

*****************  finalize.h  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:48p
Checked in $/orp/common/include
Comment:
  finalize fix

*****************  gc_for_orp.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:46p
Checked in $/orp/common/gc
Comment:
  finalize fix

*****************  Prepare.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:42p
Checked in $/orp/common/class_loader
Comment:
  Package visibility fix

*****************  finalize.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:33p
Checked in $/orp/common/base
Comment:
  finalize fix

*****************  root_set_enum_ia32.cpp  *****************
User: Xiaofeng        Date: 2001/06/11  Time:  7:25p
Checked in $/orp/arch/ia32/base
Comment:
  finalizer fix

*****************  faq.html  *****************
User: Michal          Date: 2001/06/08  Time:  3:28p
Checked in $/orp
Comment:
  Updated info for building Classpath

*****************  stack_manipulation_ia32.cpp  *****************
User: Michal          Date: 2001/06/08  Time: 11:31a
Checked in $/orp/arch/ia32/base
Comment:
  Fixed compilation error

*****************  compile.cpp  *****************
User: Michal          Date: 2001/06/08  Time: 11:29a
Checked in $/orp/common/base
Comment:
  Fixed linking error


*****************  Dep.h  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Flow_Graph.h  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Flow_Graph_Clone.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Flow_Graph_Dom.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Flow_Graph_Dom.h  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  IA64_O3_JIT_Intf.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Inlining.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Inlining.h  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  IR.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  ir.h  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Code_Emitter.h  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Code_Scheduler.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Code_Scheduler.h  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Copy_Prop.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Dep.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  Code_Emitter.cpp  *****************
User: Tatiana         Date: 2001/06/06  Time:  9:20p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  gnu_specific.cpp  *****************
User: Michal          Date: 2001/05/30  Time:  7:22p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Enabled get_java_lang_throwable_field_message()

*****************  ia64_o3_jit  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Added Null_Ptr_Eliminate.cpp

*****************  Region.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Region.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Inlining.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  IR.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  ir.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Opt_Bound_Elimination.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Predication.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Predication.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Reg_Alloc.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Flow_Graph.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Flow_Graph_Clone.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Flow_Graph_Eliminate.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Flow_Graph_Exceptions.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  GC_support.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  ia64_o3_jit.dsp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  ia64_o3_jit_ia64nt.mak  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  IA64_O3_JIT_Intf.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Inlining.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Code_Emitter.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Code_Gen.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Code_Gen.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Code_Scheduler.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Code_Scheduler.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Copy_Prop.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Dep.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Dep.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  dumpjit.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Flow_Graph.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Build_IR_Routines.cpp  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  Build_IR_Routines.h  *****************
User: Tatiana         Date: 2001/05/21  Time:  3:15p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Current version of IA-64 O3 JIT.
A lot of changes to scheduling.

*****************  cg_field_access.cpp  *****************
User: Ssubram5        Date: 2001/05/09  Time:  5:14p
Checked in $/orp/arch/ia32/ia32_o1_jit
Comment:
  

*****************  Prepare.cpp  *****************
User: Ssubram5        Date: 2001/05/09  Time:  4:56p
Checked in $/orp/common/class_loader
Comment:
  

*****************  Class.h  *****************
User: Ssubram5        Date: 2001/05/09  Time:  4:36p
Checked in $/orp/common/include
Comment:
  

*****************  C_Interface.cpp  *****************
User: Ssubram5        Date: 2001/05/09  Time:  4:35p
Checked in $/orp/common/base
Comment:
  

*****************  Class.h  *****************
User: Ssubram5        Date: 2001/05/09  Time:  3:50p
Checked in $/orp/common/include
Comment:
  

*****************  Prepare.cpp  *****************
User: Ssubram5        Date: 2001/05/09  Time:  3:49p
Checked in $/orp/common/class_loader
Comment:
  

*****************  jit_intf.h  *****************
User: Michal          Date: 2001/05/07  Time:  7:12p
Checked in $/orp/interface
Comment:
  Added class_get_const_string_intern_addr to provide a better way to
load constant strings from jitted code.

*****************  C_Interface.cpp  *****************
User: Michal          Date: 2001/05/07  Time:  7:12p
Checked in $/orp/common/base
Comment:
  Added class_get_const_string_intern_addr to provide a better way to
load constant strings from jitted code.

*****************  Makefile  *****************
User: Michal          Date: 2001/04/28  Time: 12:44p
Checked in $/orp/common/base
Comment:
  Added bytereader.cpp

*****************  bytereader.h  *****************
User: Michal          Date: 2001/04/28  Time: 12:40p
Checked in $/orp/common/include
Comment:
  Fixed Linux compilation bug.

*****************  bytereader.cpp  *****************
User: Michal          Date: 2001/04/28  Time: 12:39p
Checked in $/orp/common/base
Comment:
  Fixed Linux compilation bug.

*****************  os_wrapper.cpp  *****************
User: Xiaofeng        Date: 2001/04/28  Time: 12:16p
Checked in $/orp/os/linux
Comment:
  Fixed the bug with low time precision for conditional wait.

*****************  base.dsp  *****************
User: Michal          Date: 2001/04/19  Time:  6:38p
Checked in $/orp/common/base
Comment:
  Added bytereader.cpp

*****************  Class_File_Loader.cpp  *****************
User: Michal          Date: 2001/04/19  Time:  6:37p
Checked in $/orp/common/class_loader
Comment:
  Moved bytereader to separate file.

*****************  include  *****************
User: Michal          Date: 2001/04/19  Time:  6:34p
Added bytereader.h

*****************  base  *****************
User: Michal          Date: 2001/04/19  Time:  6:34p
Added bytereader.cpp

*****************  jit_runtime_support_ia32.cpp  *****************
User: Xiaofeng        Date: 2001/04/19  Time:  5:05p
Checked in $/orp/arch/ia32/base
Comment:
  Fixed monitorenter/exit for ORP_STATS

*****************  Prepare.cpp  *****************
User: Ssubram5        Date: 2001/04/19  Time: 10:39a
Checked in $/orp/common/class_loader
Comment:
  

*****************  MakeInclude  *****************
User: Michal          Date: 2001/04/16  Time:  3:46p
Checked in $/orp/mains/orp
Comment:
  Replaced DUMP_JIT with ORP_STATS

*****************  Makefile  *****************
User: Michal          Date: 2001/04/16  Time:  3:44p
Checked in $/orp/mains/orp
Comment:
  Replaced DUMP_JIT with ORP_STATS

*****************  base_natives  *****************
User: Xiaofeng        Date: 2001/04/05  Time:  6:42p
Shared $/orp/base_natives/Makefile

*****************  base_natives  *****************
User: Xiaofeng        Date: 2001/04/05  Time:  6:42p
Deleted Makefile

*****************  Prepare.cpp  *****************
User: Xiaohua         Date: 2001/04/05  Time:  6:20p
Checked in $/orp/common/class_loader
Comment:
  FAST_INSTOF: Moved superclasses to the vtable.

*****************  jit_intf.h  *****************
User: Xiaohua         Date: 2001/04/05  Time:  6:19p
Checked in $/orp/interface
Comment:
  FAST_INSTOF: Moved superclasses to the vtable.

*****************  Class.h  *****************
User: Xiaohua         Date: 2001/04/05  Time:  6:18p
Checked in $/orp/common/include
Comment:
  FAST_INSTOF: Moved superclasses to the vtable.

*****************  Class.cpp  *****************
User: Xiaohua         Date: 2001/04/05  Time:  6:16p
Checked in $/orp/common/class_loader
Comment:
  FAST_INSTOF: Moved superclasses to the vtable.

*****************  cg_helper.cpp  *****************
User: Xiaohua         Date: 2001/04/05  Time:  6:15p
Checked in $/orp/arch/ia32/ia32_o1_jit
Comment:
  FAST_INSTOF: Moved superclasses to the vtable.

*****************  C_Interface.cpp  *****************
User: Xiaohua         Date: 2001/04/05  Time:  6:12p
Checked in $/orp/common/base
Comment:
  FAST_INSTOF: Moved superclasses to the vtable.

*****************  faq.html  *****************
User: Xiaofeng        Date: 2001/04/05  Time:  6:07p
Checked in $/orp
Comment:
  Removed extra stuff inserted by Frontpage.

*****************  jit_runtime_support_ia64.cpp  *****************
User: Tatiana         Date: 2001/04/04  Time:  6:50p
Checked in $/orp/arch/ia64/base
Comment:
  Removed debugging printed that I inserted in
jit_runtime_support_ia64.cpp earlier.

*****************  method_lookup.cpp  *****************
User: Michal          Date: 2001/04/02  Time: 11:14a
Checked in $/orp/common/base
Comment:
  Changed %I64 to %llu in printf format strings

*****************  Version 36  *****************
User: Michal          Date: 2001/03/30  Time:  5:10p
Added changes.txt

*****************  faq.html  *****************
User: Michal          Date: 2001/03/30  Time:  4:17p
Checked in $/orp
Comment:
  Changed to charset=iso-8859-1

*****************  Version 35  *****************
User: Michal          Date: 2001/03/30  Time:  4:08p
Deleted faq.txt

*****************  orp_stats.cpp  *****************
User: Michal          Date: 2001/03/30  Time:  3:27p
Checked in $/orp/common/base
Comment:
  Changed %I64d to %llu to make printing 64-bit numbers portable to
compilers other than Visual C

*****************  main.cpp  *****************
User: Michal          Date: 2001/03/30  Time:  2:00p
Checked in $/orp/mains/orp
Comment:
  Changed the version string to 1.0.3

*****************  cg_helper.cpp  *****************
User: Xiaohua         Date: 2001/03/30  Time: 11:30a
Checked in $/orp/arch/ia32/ia32_o1_jit
Comment:
  FAST_INSTOF bug fix

*****************  faq.html  *****************
User: Xiaofeng        Date: 2001/03/30  Time: 11:24a
Checked in $/orp
Comment:
  Updated instructions for -DORP_STATS

*****************  ChangeLog.txt  *****************
User: Michal          Date: 2001/03/29  Time:  6:11p
Checked in $/orp
Comment:
  Added log entries since 2000-12-08

*****************  Local_CSE.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Opt_Bound_Elimination.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Opt_Branch_Folding.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  IA64_O3_JIT_Intf.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Inlining.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  IR.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  ir.h  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Copy_Prop.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Expression.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Flow_Graph.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Flow_Graph.h  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Flow_Graph_Nodes.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Build_IR.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Build_IR_Routines.cpp  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  Build_IR_Routines.h  *****************
User: Tatiana         Date: 2001/03/29  Time:  4:45p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Null pointer checking in IA-64 O3 JIT

*****************  orp_stats.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:56p
Checked in $/orp/common/base
Comment:
  Fixed typo

*****************  orp_types.h  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:42p
Checked in $/orp/interface
Comment:
  - Fixed the L/LL suffix problem
- Fast instanceof optimization.  Based on: N. Cohen.
  Type-Extension Type Tests Can Be Performed
  In Constant Time".  ACM TOPLAS 13(4), 1991.

*****************  jit_intf.h  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:41p
Checked in $/orp/interface
Comment:
  ast instanceof optimization.  Based on: N. Cohen.  Type-Extension
Type Tests Can Be Performed In Constant Time".  ACM TOPLAS 13(4), 1991.

*****************  Class.h  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:40p
Checked in $/orp/common/include
Comment:
  ast instanceof optimization.  Based on: N. Cohen.  Type-Extension
Type Tests Can Be Performed In Constant Time".  ACM TOPLAS 13(4), 1991.

*****************  Resolve.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:39p
Checked in $/orp/common/class_loader
Comment:
  Fixed a field resolution bug

*****************  Class.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:37p
Checked in $/orp/common/class_loader
Comment:
  Fast instanceof optimization.  Based on: N. Cohen.  Type-Extension
Type Tests Can Be Performed In Constant Time".  ACM TOPLAS 13(4), 1991.

*****************  Prepare.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:37p
Checked in $/orp/common/class_loader
Comment:
  Fast instanceof optimization.  Based on: N. Cohen.  Type-Extension
Type Tests Can Be Performed In Constant Time".  ACM TOPLAS 13(4), 1991.

*****************  jvmdi_common.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:33p
Checked in $/orp/common/base
Comment:
  Fixed the L/LL suffix problem

*****************  C_Interface.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:31p
Checked in $/orp/common/base
Comment:
  Fast instanceof optimization.  Based on: N. Cohen.  Type-Extension
Type Tests Can Be Performed In Constant Time".  ACM TOPLAS 13(4), 1991.

*****************  java_lang_Math.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:29p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Fixed the L/LL suffix problem

*****************  java_lang_Double.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:29p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Fixed the L/LL suffix problem

*****************  cg_helper.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 12:26p
Checked in $/orp/arch/ia32/ia32_o1_jit
Comment:
  Fast instanceof optimization.  Based on: N. Cohen. Type-Extension
Type Tests Can Be Performed In Constant Time".  ACM TOPLAS 13(4), 1991.

*****************  jit_runtime_support_ia32.cpp  *****************
User: Xiaohua         Date: 2001/03/29  Time: 11:28a
Checked in $/orp/arch/ia32/base
Comment:
  Fixed the L/LL suffix problem

*****************  main.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  6:20p
Checked in $/orp/mains/orp
Comment:
  Fixed typo.

*****************  include  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:55p
Added Makefile.am

*****************  os_wrapper.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:54p
Checked in $/orp/os/linux
Comment:
  Fixed a Linux threading bug

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:53p
Checked in $/orp/os/linux
Comment:
  Improved Linux makefiles

*****************  stubs.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:52p
Checked in $/orp/mains/orp
Comment:
  Dump_jit cleanup

*****************  MakeInclude  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:51p
Checked in $/orp/mains/orp
Comment:
  Improved Linux makefiles

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:50p
Checked in $/orp/mains/orp
Comment:
  Improved Linux makefiles

*****************  main.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:49p
Checked in $/orp/mains/orp
Comment:
  Fixed a Linux threading bug

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:47p
Checked in $/orp/mains
Comment:
  Improved Linux makefiles

*****************  interface  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:46p
Added Makefile.am

*****************  docs  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:45p
Added Makefile.am

*****************  include  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:45p
Added Makefile.am

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:44p
Checked in $/orp/common/jit_utils
Comment:
  Improved Linux makefiles

*****************  dump_jit.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:43p
Checked in $/orp/common/jit_utils
Comment:
  Fixed filename typo

*****************  include  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:41p
Added Makefile.am

*****************  include  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:41p
Added Makefile.am

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:40p
Checked in $/orp/common/gc
Comment:
  Improved Linux makefiles

*****************  class_loader  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:39p
Added Makefile.in

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:39p
Checked in $/orp/common/class_loader
Comment:
  Improved Linux makefiles

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:38p
Checked in $/orp/common/base
Comment:
  Improved Linux makefiles

*****************  compile.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:37p
Checked in $/orp/common/base
Comment:
  Dump_jit cleanup

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:36p
Checked in $/orp/common
Comment:
  Improved Linux makefiles

*****************  include  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:34p
Added Makefile.am

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:33p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Improved Linux makefiles

*****************  java_lang_Thread.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:33p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Fixed isAlive bug

*****************  thread_manager.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:31p
Checked in $/orp/base_natives/common
Comment:
  Fixed a Linux threading bug

*****************  thread_manager.h  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:31p
Checked in $/orp/base_natives/common
Comment:
  Fixed a Linux threading bug

*****************  thread_generic.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:31p
Checked in $/orp/base_natives/common
Comment:
  Fixed a Linux threading bug

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:29p
Checked in $/orp/base_natives/common
Comment:
  Improved Linux makefiles

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:25p
Checked in $/orp/arch/ia32/x86
Comment:
  Improved Linux makefiles

*****************  ia32_o3_jit  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:25p
Added Makefile.in

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:25p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Improved Linux makefiles

*****************  code_emitter.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:14p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Improved Linux makefiles

*****************  ia32_o1_jit  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:13p
Added Makefile.in

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:12p
Checked in $/orp/arch/ia32/ia32_o1_jit
Comment:
  Improved Linux makefiles

*****************  disasm_intf.cpp  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:11p
Checked in $/orp/arch/ia32/dump
Comment:
  Fixed typo in comment

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:11p
Checked in $/orp/arch/ia32/dump
Comment:
  Improved Linux makefiles

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:07p
Checked in $/orp/arch/ia32/base_natives
Comment:
  Improved Linux makefiles

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:06p
Checked in $/orp/arch/ia32/base
Comment:
  Improved Linux makefiles

*****************  Makefile.am  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:03p
Checked in $/orp
Comment:
  Improved Linux makefiles

*****************  configure.in  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:03p
Checked in $/orp
Comment:
  Improved Linux makefiles

*****************  faq.html  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:03p
Checked in $/orp
Comment:
  Improved Linux makefiles

*****************  Version 30  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:03p
Added mkinstalldirs

*****************  Version 29  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:03p
Added missing

*****************  Version 26  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:02p
Added install-sh

*****************  Version 25  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:02p
Added configure

*****************  Version 24  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:02p
Added config.status

*****************  Version 23  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:02p
Added config.log

*****************  Version 22  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:02p
Added config.cache

*****************  Version 21  *****************
User: Xiaofeng        Date: 2001/03/28  Time:  4:02p
Added aclocal.m4

*****************  exceptions.cpp  *****************
User: Tatiana         Date: 2001/03/26  Time:  1:51p
Checked in $/orp/common/base
Comment:
  Fixed a bug in checking range of the exception handler

*****************  disasm_intf.cpp  *****************
User: Michal          Date: 2001/03/23  Time:  5:37p
Checked in $/orp/arch/ia32/dump
Comment:
  A temporary patch to connect Artur's ia32_dump.cpp to ORP.

*****************  dump  *****************
User: Michal          Date: 2001/03/23  Time:  5:36p
Added ia32_dump.cpp

*****************  jit_runtime_support_ia64.cpp  *****************
User: Tatiana         Date: 2001/03/23  Time:  4:52p
Checked in $/orp/arch/ia64/base
Comment:
  Fixed a bug in null pointer/index out of bound exception throwing
stub

*****************  orp_main_ia64nt_gnucp.mak  *****************
User: Tatiana         Date: 2001/03/07  Time:  6:58p
Checked in $/orp/mains/orp
Comment:
  Added O3 JIT

*****************  gnu_classpath.dsp  *****************
User: Tatiana         Date: 2001/03/07  Time:  6:58p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Added IA64on32 configuration

*****************  Code_Scheduler.cpp  *****************
User: Tatiana         Date: 2001/03/07  Time:  1:23p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Fixed inlining bugs in IA64 O3 jit 

*****************  Expression.cpp  *****************
User: Tatiana         Date: 2001/03/07  Time:  1:23p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Fixed inlining bugs in IA64 O3 jit 

*****************  Expression.h  *****************
User: Tatiana         Date: 2001/03/07  Time:  1:23p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Fixed inlining bugs in IA64 O3 jit 

*****************  Inlining.cpp  *****************
User: Tatiana         Date: 2001/03/07  Time:  1:23p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Fixed inlining bugs in IA64 O3 jit 

*****************  Reg_Alloc.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Region.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  IR.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  ir.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Jit_Types.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Opt_Bound_Elimination.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Flow_Graph_Eliminate.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Flow_Graph_Print.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  ia64_o3_jit.dsp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  ia64_o3_jit_ia64nt.mak  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  IA64_O3_JIT_Intf.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Copy_Prop.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  dumpjit.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Expression.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Flow_Graph.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Flow_Graph.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Build_IR_Routines.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Code_Emitter.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Code_Emitter.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Code_Gen.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Code_Scheduler.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Bit_Vector_Group.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Bit_Vector_Group.h  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  Build_IR_Routines.cpp  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  GC support in  IA64 O3 JIT

*****************  ia64_o3_jit  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:44p
Added GC_support.h

*****************  ia64_o3_jit  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:44p
Added GC_support.cpp

*****************  ia64_o3_jit  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:44p
Added Bitstream.h

*****************  ia64_o3_jit  *****************
User: Tatiana         Date: 2001/03/05  Time:  1:44p
Added Bitstream.cpp

*****************  license.txt  *****************
User: Michal          Date: 2001/02/26  Time:  5:19p
Checked in $/orp
Comment:
  Changed ORE to ORP.

*****************  faq.html  *****************
User: Michal          Date: 2001/02/26  Time: 11:09a
Checked in $/orp
Comment:
  - Added instructions for automake
- Added Weldon's text about XScale

*****************  jit_runtime_support.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:44a
Checked in $/orp/interface
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  orp_threads.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:43a
Checked in $/orp/common/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  lock_manager.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:43a
Checked in $/orp/common/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  gc_for_orp.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:43a
Checked in $/orp/common/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  train_generation.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:42a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  train.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:42a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  to_from_table.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:42a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  sapphire.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:41a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  pair_table.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:41a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  hash_table.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:41a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  gc_perf.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:40a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  gc_globals.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:40a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  card_table.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:40a
Checked in $/orp/common/gc/include
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  train_generation.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:39a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  train.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:39a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  to_from_table.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:39a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  sapphire.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:37a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  pair_table.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:37a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  nursery.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:36a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  mrl_gc_v1.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:36a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  hash_table.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:35a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  gc_perf.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:35a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  gc_for_orp.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:34a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  exit.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:34a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  card_table.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:33a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  block_list.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:33a
Checked in $/orp/common/gc
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  orp_init.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:32a
Checked in $/orp/common/base
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  orp.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:31a
Checked in $/orp/common/base
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  lock_manager.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:31a
Checked in $/orp/common/base
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  java_lang_System.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:31a
Checked in $/orp/base_natives/jdk
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  java_lang_System.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:30a
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  thread_manager.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:30a
Checked in $/orp/base_natives/common
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  thread_generic.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:29a
Checked in $/orp/base_natives/common
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  object_manager.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:29a
Checked in $/orp/base_natives/common
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  mon_enter_exit.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:29a
Checked in $/orp/base_natives/common
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  ir.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:28a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  ir.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:27a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  global_reg_alloc.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:25a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  build_ir_routines.h  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:25a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  build_ir_routines.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:24a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  build_ir.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:24a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  root_set_enum_ia32.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:23a
Checked in $/orp/arch/ia32/base
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  jit_runtime_support_ia32.cpp  *****************
User: Rlhudson        Date: 2001/02/25  Time:  9:22a
Checked in $/orp/arch/ia32/base
Comment:
  Changes for Sapphire code. To run defin JIT_SAPPHIRE and
GC_SAPPHIRE. This is the version that was used for the JavaGrande paper.

*****************  create-orp.bat  *****************
User: Michal          Date: 2001/02/23  Time:  6:01p
Checked in $/orp/tools/orp-distr
Comment:
  Copying automake stuff.

*****************  MakeInclude  *****************
User: Michal          Date: 2001/02/23  Time:  5:48p
Checked in $/orp/mains/orp
Comment:
  New automake system of makefiles created by Xiaofeng.

*****************  Version 20  *****************
User: Michal          Date: 2001/02/23  Time:  5:46p
Added configure.in

*****************  Version 19  *****************
User: Michal          Date: 2001/02/23  Time:  5:46p
Added Makefile.am

*****************  os  *****************
User: Michal          Date: 2001/02/23  Time:  5:46p
Added Makefile.am

*****************  linux  *****************
User: Michal          Date: 2001/02/23  Time:  5:46p
Added Makefile.am

*****************  orp  *****************
User: Michal          Date: 2001/02/23  Time:  5:45p
Added Makefile.am

*****************  mains  *****************
User: Michal          Date: 2001/02/23  Time:  5:45p
Added Makefile.am

*****************  jit_utils  *****************
User: Michal          Date: 2001/02/23  Time:  5:44p
Added Makefile.am

*****************  gc  *****************
User: Michal          Date: 2001/02/23  Time:  5:44p
Added Makefile.am

*****************  class_loader  *****************
User: Michal          Date: 2001/02/23  Time:  5:44p
Added Makefile.am

*****************  base  *****************
User: Michal          Date: 2001/02/23  Time:  5:43p
Added Makefile.am

*****************  common  *****************
User: Michal          Date: 2001/02/23  Time:  5:43p
Added Makefile.am

*****************  gnu_classpath  *****************
User: Michal          Date: 2001/02/23  Time:  5:42p
Added Makefile.am

*****************  common  *****************
User: Michal          Date: 2001/02/23  Time:  5:42p
Added Makefile.am

*****************  base_natives  *****************
User: Michal          Date: 2001/02/23  Time:  5:42p
Added Makefile.am

*****************  arch  *****************
User: Michal          Date: 2001/02/23  Time:  5:41p
Added Makefile.am

*****************  ia32  *****************
User: Michal          Date: 2001/02/23  Time:  5:41p
Added Makefile.am

*****************  x86  *****************
User: Michal          Date: 2001/02/23  Time:  5:40p
Added Makefile.am

*****************  ia32_o3_jit  *****************
User: Michal          Date: 2001/02/23  Time:  5:40p
Added Makefile.am

*****************  ia32_o1_jit  *****************
User: Michal          Date: 2001/02/23  Time:  5:39p
Added Makefile.am

*****************  dump  *****************
User: Michal          Date: 2001/02/23  Time:  5:39p
Added Makefile.am

*****************  base_natives  *****************
User: Michal          Date: 2001/02/23  Time:  5:39p
Added Makefile.am

*****************  base  *****************
User: Michal          Date: 2001/02/23  Time:  5:39p
Added Makefile.am

*****************  create-orp.bat  *****************
User: Michal          Date: 2001/02/23  Time:  5:18p
Checked in $/orp/tools/orp-distr
Comment:
  Added lines for copying contrib-license.txt and faq.html.

*****************  Version 18  *****************
User: Michal          Date: 2001/02/23  Time:  4:25p
Added contrib-license.txt

*****************  readme.txt  *****************
User: Michal          Date: 2001/02/23  Time:  4:24p
Checked in $/orp
Comment:
  - Added a reference to the FAQ file
- Changed eGroups to Yahoo.

*****************  Version 17  *****************
User: Michal          Date: 2001/02/23  Time:  4:11p
Added faq.html

*****************  mon_enter_exit.cpp  *****************
User: Ssubram5        Date: 2001/02/20  Time: 12:03p
Checked in $/orp/base_natives/common
Comment:
  

*****************  jit_runtime_support.h  *****************
User: Tatiana         Date: 2001/02/13  Time:  2:55p
Checked in $/orp/interface
Comment:
  Added ORP helper ORP_RT_GC_HEAP_SLOT_WRITE_REF
that translates into 'gc_heap_slot_write_ref' and
made ORP_RT_GC_HEAP_WRITE_REF translate into
'gc_heap_write_ref' on IA64.

*****************  Code_Gen.cpp  *****************
User: Tatiana         Date: 2001/02/13  Time:  2:55p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  Added ORP helper ORP_RT_GC_HEAP_SLOT_WRITE_REF
that translates into 'gc_heap_slot_write_ref' and
made ORP_RT_GC_HEAP_WRITE_REF translate into
'gc_heap_write_ref' on IA64.

*****************  Prepass.cpp  *****************
User: Tatiana         Date: 2001/02/13  Time:  2:55p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  Added ORP helper ORP_RT_GC_HEAP_SLOT_WRITE_REF
that translates into 'gc_heap_slot_write_ref' and
made ORP_RT_GC_HEAP_WRITE_REF translate into
'gc_heap_write_ref' on IA64.

*****************  jit_runtime_support_ia32.cpp  *****************
User: Tatiana         Date: 2001/02/13  Time:  2:55p
Checked in $/orp/arch/ia32/base
Comment:
  Added ORP helper ORP_RT_GC_HEAP_SLOT_WRITE_REF
that translates into 'gc_heap_slot_write_ref' and
made ORP_RT_GC_HEAP_WRITE_REF translate into
'gc_heap_write_ref' on IA64.

*****************  jit_runtime_support_ia64.cpp  *****************
User: Tatiana         Date: 2001/02/13  Time:  2:55p
Checked in $/orp/arch/ia64/base
Comment:
  Added ORP helper ORP_RT_GC_HEAP_SLOT_WRITE_REF
that translates into 'gc_heap_slot_write_ref' and
made ORP_RT_GC_HEAP_WRITE_REF translate into
'gc_heap_write_ref' on IA64.

*****************  slot_offset_list.cpp  *****************
User: Tatiana         Date: 2001/02/12  Time:  5:50p
Checked in $/orp/common/gc
Comment:
  Replaced 
 #ifdef GC_INTERIOR_POINTER
with
 #if 1

*****************  gc_globals.h  *****************
User: Tatiana         Date: 2001/02/12  Time:  5:50p
Checked in $/orp/common/gc/include
Comment:
  Replaced 
 #ifdef GC_INTERIOR_POINTER
with
 #if 1

*****************  slot_offset_list.h  *****************
User: Tatiana         Date: 2001/02/12  Time:  5:50p
Checked in $/orp/common/gc/include
Comment:
  Replaced 
 #ifdef GC_INTERIOR_POINTER
with
 #if 1

*****************  gc_for_orp.cpp  *****************
User: Tatiana         Date: 2001/02/12  Time:  5:50p
Checked in $/orp/common/gc
Comment:
  Replaced 
 #ifdef GC_INTERIOR_POINTER
with
 #if 1

*****************  gc_globals.cpp  *****************
User: Tatiana         Date: 2001/02/12  Time:  5:50p
Checked in $/orp/common/gc
Comment:
  Replaced 
 #ifdef GC_INTERIOR_POINTER
with
 #if 1

*****************  mrl_gc_v1.cpp  *****************
User: Tatiana         Date: 2001/02/12  Time:  5:50p
Checked in $/orp/common/gc
Comment:
  Replaced 
 #ifdef GC_INTERIOR_POINTER
with
 #if 1

*****************  jit_runtime_support.h  *****************
User: Tatiana         Date: 2001/02/12  Time:  5:42p
Checked in $/orp/interface
Comment:
  ORP wrapper for setting interior pointers for GC

*****************  root_set_enum.cpp  *****************
User: Tatiana         Date: 2001/02/12  Time:  5:41p
Checked in $/orp/common/base
Comment:
  ORP wrapper for interior pointers

*****************  gc_for_orp.h  *****************
User: Tatiana         Date: 2001/02/12  Time:  4:32p
Checked in $/orp/common/include
Comment:
  Removed #ifdef GC_INTERIOR_POINTER

*****************  gc_for_orp.h  *****************
User: Tatiana         Date: 2001/02/12  Time:  4:18p
Checked in $/orp/common/include
Comment:
  Added interface for gc_enumerate_root_set_interior_pointer

*****************  gc_for_orp.h  *****************
User: Tatiana         Date: 2001/02/12  Time:  4:12p
Checked in $/orp/common/include
Comment:
  Added declration of

*****************  faq.txt  *****************
User: Michal          Date: 2001/01/25  Time: 10:26a
Checked in $/orp
Comment:
  Added the IA64 GC paper.

*****************  create-orp.bat  *****************
User: Michal          Date: 2001/01/22  Time:  1:53p
Checked in $/orp/tools/orp-distr
Comment:
  Added a line to copy ijitprof.c

*****************  ia32_o3_jit  *****************
User: Glueh           Date: 2001/01/19  Time:  3:29p
Added opt_throw.h

*****************  opt_throws.cpp  *****************
User: Glueh           Date: 2001/01/19  Time:  3:28p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Lazy exception support

*****************  build_ir_routines.cpp  *****************
User: Glueh           Date: 2001/01/19  Time:  3:28p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Lazy exception support

*****************  build_ir_routines.h  *****************
User: Glueh           Date: 2001/01/19  Time:  3:28p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Lazy exception support

*****************  opt_bound_elimination.cpp  *****************
User: Glueh           Date: 2001/01/19  Time:  3:28p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Lazy exception support

*****************  Version 16  *****************
User: Michal          Date: 2001/01/19  Time:  2:20p
Added faq.txt

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2001/01/18  Time: 11:27a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Fixed a bug in register allocation for IA64 O3 JIT

*****************  Local_Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2001/01/17  Time:  4:35p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  linear scan register allocation for IA64 O3 JIT

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:53p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Minor clean up in register allocation in IA64 O3 JIT

*****************  ir.h  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:41p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Linear scan register allocation for both local and global variables
in IA64 O3 JIT.

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:41p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Linear scan register allocation for both local and global variables
in IA64 O3 JIT.

*****************  Reg_Alloc.h  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:41p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Linear scan register allocation for both local and global variables
in IA64 O3 JIT.

*****************  Code_Gen.cpp  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:41p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Linear scan register allocation for both local and global variables
in IA64 O3 JIT.

*****************  Opt_Bound_Elimination.cpp  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:40p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fix in IA64 O3 JIT

*****************  IR.cpp  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:39p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fix in IA64 O3 JIT.

*****************  Dep.h  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:38p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Don't generate code for register move to itself instructions in IA64
O3 JIT

*****************  Dep.cpp  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:38p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Don't generate code for register move to itself instructions in IA64
O3 JIT

*****************  Build_IR_Routines.cpp  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:35p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fix in IA64 O3 - integer fields and array elements should be
sign
extended to 64 bits

*****************  Dlink.h  *****************
User: Tatiana         Date: 2001/01/15  Time: 12:33p
Checked in $/orp/common/jit_utils/include
Comment:
  Added move_to(Dlink *head) function that moves all elements of a
given
list into another list.

*****************  main.cpp  *****************
User: Michal          Date: 2000/12/08  Time:  6:55p
Checked in $/orp/mains/orp
Comment:
  cleanup

*****************  docs  *****************
User: Michal          Date: 2000/12/08  Time:  4:52p
Added jit-intf.txt

*****************  docs  *****************
User: Michal          Date: 2000/12/08  Time:  4:52p
Added gc-intf.txt

*****************  Version 15  *****************
User: Michal          Date: 2000/12/08  Time:  4:52p
Added docs

*****************  Version 14  *****************
User: Michal          Date: 2000/12/08  Time:  4:52p
Added readme.txt

*****************  Version 13  *****************
User: Michal          Date: 2000/12/08  Time:  4:52p
Added license.txt

*****************  ChangeLog.txt  *****************
User: Michal          Date: 2000/12/08  Time:  4:44p
Checked in $/orp
Comment:
  
*****************  Version 43  *****************
User: Michal          Date: 2000/12/08  Time:  4:42p
Checked in $/orp/mains/orp
Comment:
  Changed the version number string to "1.0.2".

*****************  gc_space.h  *****************
User: Ssubram5        Date: 2000/12/07  Time:  6:22p
Checked in $/orp/common/gc/include
Comment:
  GC_ZERO_THREAD implementation

*****************  nursery.h  *****************
User: Ssubram5        Date: 2000/12/07  Time:  6:00p
Checked in $/orp/common/gc/include
Comment:
  GC_ZERO_THREAD implementation for using a background GC thread to
clear nurseries as they are released by the core GC code.

*****************  nursery_step_gen.h  *****************
User: Ssubram5        Date: 2000/12/07  Time:  6:00p
Checked in $/orp/common/gc/include
Comment:
  GC_ZERO_THREAD implementation for using a background GC thread to
clear nurseries as they are released by the core GC code.

*****************  gc_for_orp.cpp  *****************
User: Ssubram5        Date: 2000/12/07  Time:  5:38p
Checked in $/orp/common/gc
Comment:
  GC_ZERO_THREAD implementation

*****************  nursery.cpp  *****************
User: Ssubram5        Date: 2000/12/07  Time:  5:38p
Checked in $/orp/common/gc
Comment:
  GC_ZERO_THREAD implementation

*****************  nursery_step_gen.cpp  *****************
User: Ssubram5        Date: 2000/12/07  Time:  5:38p
Checked in $/orp/common/gc
Comment:
  GC_ZERO_THREAD implementation

*****************  main.cpp  *****************
User: Michal          Date: 2000/12/07  Time:  4:58p
Checked in $/orp/mains/orp
Comment:
  Moved Linux handling to orp/os/linux/signals_ia32.cpp from main.cpp

*****************  Makefile  *****************
User: Michal          Date: 2000/12/07  Time:  4:57p
Checked in $/orp/os/linux
Comment:
  Moved Linux handling to orp/os/linux/signals_ia32.cpp from main.cpp

*****************  linux  *****************
User: Michal          Date: 2000/12/07  Time:  4:57p
Added signals_ia32.cpp

*****************  gnu_classpath  *****************
User: Ssubram5        Date: 2000/12/07  Time:  3:45p
Added gnu_classpath_ia64nt.mak

*****************  gnu_classpath  *****************
User: Ssubram5        Date: 2000/12/07  Time:  3:45p
Added gnu_classpath_ia64nt.dep

*****************  orp  *****************
User: Ssubram5        Date: 2000/12/07  Time:  3:44p
Added orp_main_ia64nt_gnucp.mak

*****************  Reg_Alloc.h  *****************
User: Tatiana         Date: 2000/12/07  Time: 12:27p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  First cut for linear scan register allocation in IA64 O3 JIT

*****************  IR.cpp  *****************
User: Tatiana         Date: 2000/12/07  Time: 12:27p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  First cut for linear scan register allocation in IA64 O3 JIT

*****************  ir.h  *****************
User: Tatiana         Date: 2000/12/07  Time: 12:27p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  First cut for linear scan register allocation in IA64 O3 JIT

*****************  Local_Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/12/07  Time: 12:27p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  First cut for linear scan register allocation in IA64 O3 JIT

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/12/07  Time: 12:27p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  First cut for linear scan register allocation in IA64 O3 JIT

*****************  Flow_Graph.cpp  *****************
User: Tatiana         Date: 2000/12/07  Time: 12:27p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  First cut for linear scan register allocation in IA64 O3 JIT

*****************  Flow_Graph.h  *****************
User: Tatiana         Date: 2000/12/07  Time: 12:27p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  First cut for linear scan register allocation in IA64 O3 JIT

*****************  Flow_Graph_Eliminate.cpp  *****************
User: Tatiana         Date: 2000/12/07  Time: 12:27p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  First cut for linear scan register allocation in IA64 O3 JIT

*****************  main.cpp  *****************
User: Michal          Date: 2000/12/01  Time:  5:05p
Checked in $/orp/mains/orp
Comment:
  Added a patch for handling signals on newer versions of Linux.
  The patch was provided by Kazuyuki Shudo.

*****************  Local_Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/11/30  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  IA64 O3 local register allocation  bug fix

*****************  recompilation_intf.cpp  *****************
User: Glueh           Date: 2000/11/27  Time:  3:31p
Checked in $/orp/arch/ia32/ia32_o1_jit
Comment:
  Add stdcall__ for trigger_recompilation() so that gcc can compile
the routine  using callee-pop calling convention

*****************  IR.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  ir.h  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Opt_Bound_Elimination.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Reg_Alloc.h  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Code_Gen.h  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Copy_Prop.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Em.h  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Expression.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Flow_Graph.h  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Flow_Graph_Clone.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  ia64_o3_jit_ia64nt.mak  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  IA64_O3_JIT_Intf.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Inlining.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Build_IR.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Build_IR_Routines.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Code_Emitter.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Code_Emitter.h  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  Code_Gen.cpp  *****************
User: Tatiana         Date: 2000/11/21  Time: 10:38a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Many changes to IA64 O3 JIT:
  - bug fixes
  - exception support
Current status - Debug and Release versions run Spec except for
methods 252,259 and 276 in _200_check

*****************  gc_for_orp.cpp  *****************
User: Rlhudson        Date: 2000/11/20  Time:  8:47a
Checked in $/orp/common/gc
Comment:
  Add gc_sapphire_equal code.

*****************  gc_for_orp.h  *****************
User: Rlhudson        Date: 2000/11/20  Time:  8:46a
Checked in $/orp/common/include
Comment:
  Add gc_sapphire_equal code.

*****************  ia64_o1_jit  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:02p
Added README

*****************  GC.h  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  IA64_O1_JIT_Intf.cpp  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  IA64_O1_JIT_Intf.h  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  Prepass.h  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  Register_Allocator.h  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  Shuffle.h  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  Code_Gen.h  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  defines.h  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  GC.cpp  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  Code_Gen.cpp  *****************
User: Ahsieh          Date: 2000/11/17  Time:  3:01p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  put in more comments

*****************  ini_iA32.cpp  *****************
User: Michal          Date: 2000/11/17  Time:  2:44p
Checked in $/orp/arch/ia32/base
Comment:
  A workaround for an initialization order problem.

*****************  root_set_enum_ia32.cpp  *****************
User: Michal          Date: 2000/11/17  Time:  2:44p
Checked in $/orp/arch/ia32/base
Comment:
  A workaround for an initialization order problem.

*****************  gc_for_orp.cpp  *****************
User: Michal          Date: 2000/11/17  Time:  1:57p
Checked in $/orp/common/gc
Comment:
  Fixed Linux build problems.

*****************  gc_header.h  *****************
User: Michal          Date: 2000/11/17  Time:  1:57p
Checked in $/orp/common/gc/include
Comment:
  Fixed Linux build problems.

*****************  orp_synch.h  *****************
User: Michal          Date: 2000/11/17  Time: 11:30a
Checked in $/orp/common/include
Comment:
  Added a compiler/OS-independent efficient implementation of cmpxchg.
It requires calls through a function pointer (orp_atomic_compare_exchange), but
it's easier to maintain than multiple implementations for different compilers.

*****************  ini_iA32.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:30a
Checked in $/orp/arch/ia32/base
Comment:
  Added a compiler/OS-independent efficient implementation of cmpxchg.
It requires calls through a function pointer (orp_atomic_compare_exchange), but
it's easier to maintain than multiple implementations for different compilers.

*****************  root_set_enum_ia32.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:30a
Checked in $/orp/arch/ia32/base
Comment:
  Added a compiler/OS-independent efficient implementation of cmpxchg.
It requires calls through a function pointer (orp_atomic_compare_exchange), but
it's easier to maintain than multiple implementations for different compilers.

*****************  lock_manager.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:30a
Checked in $/orp/common/base
Comment:
  Added a compiler/OS-independent efficient implementation of cmpxchg.
It requires calls through a function pointer (orp_atomic_compare_exchange), but
it's easier to maintain than multiple implementations for different compilers.

*****************  orp_init.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:30a
Checked in $/orp/common/base
Comment:
  Added a compiler/OS-independent efficient implementation of cmpxchg.
It requires calls through a function pointer (orp_atomic_compare_exchange), but
it's easier to maintain than multiple implementations for different compilers.

*****************  orp.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:24a
Checked in $/orp/common/base
Comment:
  cleanup

*****************  jit_runtime_support_ia64.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:22a
Checked in $/orp/arch/ia64/base
Comment:
  cleanup

*****************  root_set_enum_ia64.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:22a
Checked in $/orp/arch/ia64/base
Comment:
  cleanup

*****************  compile_IA64.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:22a
Checked in $/orp/arch/ia64/base
Comment:
  cleanup

*****************  ini_iA64.cpp  *****************
User: Michal          Date: 2000/11/17  Time: 11:22a
Checked in $/orp/arch/ia64/base
Comment:
  cleanup

*****************  block_store.cpp  *****************
User: Michal          Date: 2000/11/14  Time: 12:47p
Checked in $/orp/common/gc
Comment:
  Fixed a build problem.
  

*****************  ini_iA64.cpp  *****************
User: Michal          Date: 2000/11/14  Time: 11:28a
Checked in $/orp/arch/ia64/base
Comment:
  Fixed unimplemented arg types in calls to Java methods from native
on IA64

*****************  ini_iA64_low_level.asm  *****************
User: Michal          Date: 2000/11/14  Time: 11:28a
Checked in $/orp/arch/ia64/base
Comment:
  Fixed unimplemented arg types in calls to Java methods from native
on IA64

*****************  ini.cpp  *****************
User: Michal          Date: 2000/11/14  Time: 11:26a
Checked in $/orp/common/base
Comment:
  cleanup

*****************  ini.h  *****************
User: Michal          Date: 2000/11/14  Time: 11:25a
Checked in $/orp/common/include
Comment:
  cleanup

*****************  compile_IA32.cpp  *****************
User: Michal          Date: 2000/11/08  Time:  4:37p
Checked in $/orp/arch/ia32/base
Comment:
  Cleaned up the code of the trampoline.

*****************  Block_Store.h  *****************
User: Ssubram5        Date: 2000/11/08  Time:  2:54p
Checked in $/orp/common/gc/include
Comment:
  

*****************  block_store.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time:  2:54p
Checked in $/orp/common/gc
Comment:
  

*****************  gc_header.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time:  2:54p
Checked in $/orp/common/gc
Comment:
  

*****************  java_lang_System.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:18p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  

*****************  jni.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:18p
Checked in $/orp/common/base
Comment:
  

*****************  jit_runtime_support.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:18p
Checked in $/orp/common/base
Comment:
  

*****************  jni_array.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:18p
Checked in $/orp/common/base
Comment:
  

*****************  jit_runtime_support_ia32.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:13p
Checked in $/orp/arch/ia32/base
Comment:
  

*****************  block_list.h  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:05p
Checked in $/orp/common/gc/include
Comment:
  

*****************  Block_Store.h  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:05p
Checked in $/orp/common/gc/include
Comment:
  

*****************  gc_header.h  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:05p
Checked in $/orp/common/gc/include
Comment:
  

*****************  generation.h  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:05p
Checked in $/orp/common/gc/include
Comment:
  

*****************  los_container.h  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:05p
Checked in $/orp/common/gc/include
Comment:
  

*****************  nursery.h  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:05p
Checked in $/orp/common/gc/include
Comment:
  

*****************  step.h  *****************
User: Ssubram5        Date: 2000/11/08  Time:  1:05p
Checked in $/orp/common/gc/include
Comment:
  

*****************  gc_header.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time: 12:57p
Checked in $/orp/common/gc
Comment:
  

*****************  nursery.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time: 12:57p
Checked in $/orp/common/gc
Comment:
  

*****************  step_generation.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time: 12:57p
Checked in $/orp/common/gc
Comment:
  

*****************  block_list.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time: 12:57p
Checked in $/orp/common/gc
Comment:
  

*****************  block_store.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time: 12:57p
Checked in $/orp/common/gc
Comment:
  

*****************  gc_for_orp.cpp  *****************
User: Ssubram5        Date: 2000/11/08  Time: 12:57p
Checked in $/orp/common/gc
Comment:
  

*****************  java_lang_ThreadGroup.cpp  *****************
User: Ahsieh          Date: 2000/11/07  Time:  3:43p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  fix mis-alignment for field priority

*****************  main.cpp  *****************
User: Ahsieh          Date: 2000/11/06  Time:  5:34p
Checked in $/orp/mains/orp
Comment:
  add Whistler (ver 5.1) into support list

*****************  Version 12  *****************
User: Michal          Date: 2000/11/03  Time: 11:41a
Added ChangeLog.txt

*****************  main.cpp  *****************
User: Michal          Date: 2000/11/03  Time: 11:30a
Checked in $/orp/mains/orp
Comment:
  Added code to exit with a meaningful error message on non-supported
versions of Windows

*****************  stack_manipulation_ia64.cpp  *****************
User: Ahsieh          Date: 2000/10/26  Time:  1:58p
Checked in $/orp/arch/ia64/base
Comment:
  Rick's fixes for pBob (ported from IA32)

*****************  jit_runtime_support_ia64.cpp  *****************
User: Ahsieh          Date: 2000/10/26  Time:  1:58p
Checked in $/orp/arch/ia64/base
Comment:
  Rick's fixes for pBob (ported from IA32)

*****************  GC.cpp  *****************
User: Ahsieh          Date: 2000/10/25  Time: 12:33p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  GC bug: GC tracking bit should be reset as early as possible in
prologue

*****************  Code_Gen.cpp  *****************
User: Ahsieh          Date: 2000/10/25  Time: 12:33p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  GC bug: GC tracking bit should be reset as early as possible in
prologue

*****************  gc_for_orp.cpp  *****************
User: Michal          Date: 2000/10/25  Time: 10:43a
Checked in $/orp/common/gc
Comment:
  It now builds on RH7

*****************  platform_utils.cpp  *****************
User: Michal          Date: 2000/10/25  Time: 10:43a
Checked in $/orp/os/linux
Comment:
  It now builds on RH7

*****************  object_list.cpp  *****************
User: Michal          Date: 2000/10/25  Time: 10:01a
Checked in $/orp/common/gc
Comment:
  More RH7 mods

*****************  train_generation.cpp  *****************
User: Michal          Date: 2000/10/25  Time: 10:01a
Checked in $/orp/common/gc
Comment:
  More RH7 mods

*****************  find_natives_array.cpp  *****************
User: Michal          Date: 2000/10/25  Time: 10:01a
Checked in $/orp/base_natives/gnu_classpath
Comment:
  More RH7 mods

*****************  ini.cpp  *****************
User: Michal          Date: 2000/10/25  Time: 10:01a
Checked in $/orp/common/base
Comment:
  More RH7 mods

*****************  jni_utils.cpp  *****************
User: Michal          Date: 2000/10/25  Time: 10:01a
Checked in $/orp/common/base
Comment:
  More RH7 mods

*****************  IR.cpp  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  ir.h  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Data_Emitter.h  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Dep.cpp  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Dep.h  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Expression.cpp  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Expression.h  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Flow_Graph.h  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Build_IR_Routines.cpp  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Build_IR_Routines.h  *****************
User: Tatiana         Date: 2000/10/23  Time:  4:59p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Bug fixes to IA64 O3 JIT. It now passes Jit_Test except for FP compatibility

*****************  Code_Gen.h  *****************
User: Ahsieh          Date: 2000/10/23  Time: 11:01a
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  fix mul-by-const bug

*****************  Prepass.cpp  *****************
User: Ahsieh          Date: 2000/10/23  Time: 11:01a
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  fix mul-by-const bug

*****************  Util.cpp  *****************
User: Ahsieh          Date: 2000/10/23  Time: 11:01a
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  fix mul-by-const bug

*****************  Util.h  *****************
User: Ahsieh          Date: 2000/10/23  Time: 11:01a
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  fix mul-by-const bug

*****************  Code_Gen.cpp  *****************
User: Ahsieh          Date: 2000/10/23  Time: 11:01a
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  fix mul-by-const bug

*****************  loop_invariant_path.cpp  *****************
User: Michal          Date: 2000/10/23  Time: 11:00a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  More RH7 fixes

*****************  opt_peephole.cpp  *****************
User: Michal          Date: 2000/10/23  Time: 11:00a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  More RH7 fixes

*****************  expression.cpp  *****************
User: Michal          Date: 2000/10/23  Time: 11:00a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  More RH7 fixes

*****************  ir.cpp  *****************
User: Michal          Date: 2000/10/23  Time: 11:00a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  More RH7 fixes

*****************  ir.h  *****************
User: Michal          Date: 2000/10/23  Time: 11:00a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  More RH7 fixes

*****************  jit_runtime_support.cpp  *****************
User: Michal          Date: 2000/10/18  Time:  9:45a
Checked in $/orp/common/base
Comment:
  cleanup

*****************  Tail_Recursion.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Dep.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Expression.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Flow_Graph_Clone.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Inlining.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  IR.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  ir.h  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Local_Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Loop_Invariant_Path.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Predication.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Code_Scheduler.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Copy_Prop.cpp  *****************
User: Tatiana         Date: 2000/10/18  Time:  9:41a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Code_Gen.cpp  *****************
User: Ahsieh          Date: 2000/10/17  Time:  1:47p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  fixed bug: trashed r1 in "r1=imm64; r1=r1+r2"

*****************  stack_manipulation_ia64.cpp  *****************
User: Michal          Date: 2000/10/13  Time:  5:07p
Checked in $/orp/arch/ia64/base
Comment:
  Fixed interleaved native/Java frames bug

*****************  java_lang_ThreadGroup.cpp  *****************
User: Rlhudson        Date: 2000/10/13  Time: 11:30a
Checked in $/orp/base_natives/jdk
Comment:
  Fix pointer alignment problems.

*****************  inlining.cpp  *****************
User: Glueh           Date: 2000/10/13  Time: 10:59a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  

*****************  jit_runtime_support_ia32.cpp  *****************
User: Michal          Date: 2000/10/12  Time:  4:55p
Checked in $/orp/arch/ia32/base
Comment:
  

*****************  gc_space.h  *****************
User: Ssubram5        Date: 2000/10/12  Time:  1:18p
Checked in $/orp/common/gc/include
Comment:
  

*****************  Block_Store.h  *****************
User: Ssubram5        Date: 2000/10/12  Time:  1:17p
Checked in $/orp/common/gc/include
Comment:
  

*****************  gc_for_orp.cpp  *****************
User: Ssubram5        Date: 2000/10/12  Time:  1:13p
Checked in $/orp/common/gc
Comment:
  

*****************  block_store.cpp  *****************
User: Ssubram5        Date: 2000/10/12  Time:  1:11p
Checked in $/orp/common/gc
Comment:
  

*****************  jit_runtime_support_ia64.cpp  *****************
User: Michal          Date: 2000/10/11  Time:  4:25p
Checked in $/orp/arch/ia64/base
Comment:
  Added fast path for new_resolved

*****************  nt_exception_filter.cpp  *****************
User: Weldon          Date: 2000/10/11  Time:  2:57p
Checked in $/orp/os/nt/ia64
Comment:
  

*****************  gc_eh_support.cpp  *****************
User: Glueh           Date: 2000/10/11  Time: 10:45a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  

*****************  flow_graph.h  *****************
User: Glueh           Date: 2000/10/11  Time: 10:43a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  

*****************  Flow_Graph.h  *****************
User: Glueh           Date: 2000/10/11  Time: 10:43a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  

*****************  jit_runtime_support_ia32.cpp  *****************
User: Michal          Date: 2000/10/10  Time:  5:39p
Checked in $/orp/arch/ia32/base
Comment:
  Cleanup

*****************  jit_runtime_support_ia64.cpp  *****************
User: Michal          Date: 2000/10/10  Time:  5:39p
Checked in $/orp/arch/ia64/base
Comment:
  Fast path for monitorexit

*****************  Dep.cpp  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Dep.h  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Inlining.cpp  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  IR.cpp  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Build_IR_Routines.cpp  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Code_Emitter.cpp  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Code_Scheduler.cpp  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Code_Scheduler.h  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Copy_Prop.cpp  *****************
User: Tatiana         Date: 2000/10/10  Time:  5:01p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  gc.dsp  *****************
User: Ssubram5        Date: 2000/10/10  Time: 11:11a
Checked in $/orp/common/gc
Comment:
  

*****************  include  *****************
User: Rlhudson        Date: 2000/10/10  Time:  7:57a
Added to_from_table.h

*****************  gc  *****************
User: Rlhudson        Date: 2000/10/10  Time:  7:55a
Added to_from_table.cpp

*****************  root_set_enum_ia32.cpp  *****************
User: Rlhudson        Date: 2000/10/10  Time:  7:52a
Checked in $/orp/arch/ia32/base
Comment:
  Remove IA64 isms

*****************  environment.h  *****************
User: Ssubram5        Date: 2000/10/09  Time:  6:11p
Checked in $/orp/common/include
Comment:
  

*****************  orp_init.cpp  *****************
User: Ssubram5        Date: 2000/10/09  Time:  6:10p
Checked in $/orp/common/base
Comment:
  

*****************  java_lang_Class.h  *****************
User: Ssubram5        Date: 2000/10/09  Time:  6:09p
Checked in $/orp/base_natives/gnu_classpath/include
Comment:
  

*****************  java_lang_Class.cpp  *****************
User: Ssubram5        Date: 2000/10/09  Time:  6:08p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  

*****************  find_natives_array.cpp  *****************
User: Ssubram5        Date: 2000/10/09  Time:  6:07p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  

*****************  Stack.h  *****************
User: Ahsieh          Date: 2000/10/09  Time:  5:57p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  moniter_enter/exit switch, fix multianewarray bug

*****************  IA64_O1_JIT_Intf.cpp  *****************
User: Ahsieh          Date: 2000/10/09  Time:  5:57p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  moniter_enter/exit switch, fix multianewarray bug

*****************  IA64_O1_JIT_Intf.h  *****************
User: Ahsieh          Date: 2000/10/09  Time:  5:57p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  moniter_enter/exit switch, fix multianewarray bug

*****************  Prepass.cpp  *****************
User: Ahsieh          Date: 2000/10/09  Time:  5:57p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  moniter_enter/exit switch, fix multianewarray bug

*****************  Code_Gen.h  *****************
User: Ahsieh          Date: 2000/10/09  Time:  5:57p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  moniter_enter/exit switch, fix multianewarray bug

*****************  defines.h  *****************
User: Ahsieh          Date: 2000/10/09  Time:  5:57p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  moniter_enter/exit switch, fix multianewarray bug

*****************  Code_Gen.cpp  *****************
User: Ahsieh          Date: 2000/10/09  Time:  5:57p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  moniter_enter/exit switch, fix multianewarray bug

*****************  root_set_enum_ia32.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time:  2:24p
Checked in $/orp/arch/ia32/base
Comment:
  Fis ia64 bug.

*****************  orp_threads.h  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:13a
Checked in $/orp/common/include
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  orp_synch.h  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:13a
Checked in $/orp/common/include
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  gc_for_orp.h  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:12a
Checked in $/orp/common/include
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  sapphire.h  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:12a
Checked in $/orp/common/gc/include
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  hash_table.h  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:12a
Checked in $/orp/common/gc/include
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  step_generation.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:11a
Checked in $/orp/common/gc
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  sapphire.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:10a
Checked in $/orp/common/gc
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  mrl_gc_v1.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:09a
Checked in $/orp/common/gc
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  los_container.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:09a
Checked in $/orp/common/gc
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  los.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:08a
Checked in $/orp/common/gc
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  gc_for_orp.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:07a
Checked in $/orp/common/gc
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  car.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:07a
Checked in $/orp/common/gc
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  block_list.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:06a
Checked in $/orp/common/gc
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  jni_field.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:06a
Checked in $/orp/common/base
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  jni_array.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:05a
Checked in $/orp/common/base
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  jit_runtime_support.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:05a
Checked in $/orp/common/base
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  jdk_specific.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:05a
Checked in $/orp/base_natives/jdk
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  java_net_PlainSocketImpl.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:04a
Checked in $/orp/base_natives/jdk
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  java_net_InetAddressImpl.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:04a
Checked in $/orp/base_natives/jdk
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  java_lang_ThreadGroup.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:04a
Checked in $/orp/base_natives/jdk
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  java_io_File.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:03a
Checked in $/orp/base_natives/jdk
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  java_lang_ThreadGroup.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:03a
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  gnu_specific.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:03a
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  thread_generic.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:02a
Checked in $/orp/base_natives/common
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  object_generic.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:02a
Checked in $/orp/base_natives/common
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  jit_runtime_support_ia64.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:01a
Checked in $/orp/arch/ia64/base
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  root_set_enum_ia32.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:01a
Checked in $/orp/arch/ia32/base
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  jit_runtime_support_ia32.cpp  *****************
User: Rlhudson        Date: 2000/10/09  Time: 11:00a
Checked in $/orp/arch/ia32/base
Comment:
  Add code so that we have a write barrier that will take either a
slot of an offset along with a value and an object. This is needed to support
sapphire. There is also a lot of sapphire code that takes advantage of the fact
that the write barrier now specifies the offset and the value.

*****************  jit_runtime_support_ia64.cpp  *****************
User: Michal          Date: 2000/10/06  Time: 11:17a
Checked in $/orp/arch/ia64/base
Comment:
  Compacted monitorenter fast path

*****************  gc_plan.cpp  *****************
User: Rlhudson        Date: 2000/10/06  Time:  6:43a
Checked in $/orp/common/gc
Comment:
  Increase initial size of IA64 heap for Spec..

*****************  root_set_enum.h  *****************
User: Michal          Date: 2000/10/05  Time:  3:58p
Checked in $/orp/common/include
Comment:
  - Inlined version of monitorenter on IA64
- Cleanup

*****************  jit_runtime_support.h  *****************
User: Michal          Date: 2000/10/05  Time:  3:58p
Checked in $/orp/interface
Comment:
  - Inlined version of monitorenter on IA64
- Cleanup

*****************  lock_manager.cpp  *****************
User: Michal          Date: 2000/10/05  Time:  3:58p
Checked in $/orp/common/base
Comment:
  - Inlined version of monitorenter on IA64
- Cleanup

*****************  root_set_enum.cpp  *****************
User: Michal          Date: 2000/10/05  Time:  3:58p
Checked in $/orp/common/base
Comment:
  - Inlined version of monitorenter on IA64
- Cleanup

*****************  orp_ia64.h  *****************
User: Michal          Date: 2000/10/05  Time:  3:58p
Checked in $/orp/arch/ia64/include
Comment:
  - Inlined version of monitorenter on IA64
- Cleanup

*****************  jvmdi_common.cpp  *****************
User: Michal          Date: 2000/10/05  Time:  3:58p
Checked in $/orp/common/base
Comment:
  - Inlined version of monitorenter on IA64
- Cleanup

*****************  jit_runtime_support_ia32.cpp  *****************
User: Michal          Date: 2000/10/05  Time:  3:58p
Checked in $/orp/arch/ia32/base
Comment:
  - Inlined version of monitorenter on IA64
- Cleanup

*****************  jit_runtime_support_ia64.cpp  *****************
User: Michal          Date: 2000/10/05  Time:  3:58p
Checked in $/orp/arch/ia64/base
Comment:
  - Inlined version of monitorenter on IA64
- Cleanup

*****************  defines.h  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  Register_Allocator.cpp  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  IA64_O1_JIT_Intf.cpp  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  IA64_O1_JIT_Intf.h  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  O1_Code_Emitter.h  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  Prepass.cpp  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  GC.cpp  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  GC.h  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  Code_Gen.cpp  *****************
User: Ahsieh          Date: 2000/10/02  Time:  5:43p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  inline monitor_enter/exit in vain, fix fp-params passing bug

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/10/02  Time:  4:37p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Em.h  *****************
User: Tatiana         Date: 2000/10/02  Time:  4:37p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Flow_Graph_Clone.cpp  *****************
User: Tatiana         Date: 2000/10/02  Time:  4:37p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  IR.cpp  *****************
User: Tatiana         Date: 2000/10/02  Time:  4:37p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  ir.h  *****************
User: Tatiana         Date: 2000/10/02  Time:  4:37p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Code_Emitter.cpp  *****************
User: Tatiana         Date: 2000/10/02  Time:  4:37p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  Code_Gen.cpp  *****************
User: Tatiana         Date: 2000/10/02  Time:  4:37p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  los_container.h  *****************
User: Rlhudson        Date: 2000/10/02  Time:  2:47p
Checked in $/orp/common/gc/include
Comment:
  Code to reduce minimum heap size to 32 MBytes

*****************  los.h  *****************
User: Rlhudson        Date: 2000/10/02  Time:  2:47p
Checked in $/orp/common/gc/include
Comment:
  Code to reduce minimum heap size to 32 MBytes

*****************  mrl_gc_v1.cpp  *****************
User: Rlhudson        Date: 2000/10/02  Time:  2:44p
Checked in $/orp/common/gc
Comment:
  Code to reduce minumim heap size to 32 MBytes.

*****************  los_container.cpp  *****************
User: Rlhudson        Date: 2000/10/02  Time:  2:43p
Checked in $/orp/common/gc
Comment:
  Code to reduce minumim heap size to 32 MBytes.

*****************  los.cpp  *****************
User: Rlhudson        Date: 2000/10/02  Time:  2:43p
Checked in $/orp/common/gc
Comment:
  Code to reduce minumim heap size to 32 MBytes.

*****************  gc_plan.cpp  *****************
User: Rlhudson        Date: 2000/10/02  Time:  2:42p
Checked in $/orp/common/gc
Comment:
  Code to reduce minumim heap size to 32 MBytes.

*****************  Em.h  *****************
User: Tatiana         Date: 2000/10/01  Time:  6:04p
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment: IA64 O3 bug fixes
  

*****************  compile_IA32.cpp  *****************
User: Michal          Date: 2000/09/29  Time:  4:41p
Checked in $/orp/arch/ia32/base
Comment:
  Fixed JNI synchronized bug

*****************  merced.cpp  *****************
User: Ahsieh          Date: 2000/09/29  Time:  2:27p
Checked in $/orp/arch/ia64/code_emit
Comment:
  added cmpxchg, etc

*****************  merced.h  *****************
User: Ahsieh          Date: 2000/09/29  Time:  2:26p
Checked in $/orp/arch/ia64/include
Comment:
  added cmpxchg, etc

*****************  Code_Emitter.h  *****************
User: Ahsieh          Date: 2000/09/29  Time:  2:24p
Checked in $/orp/arch/ia64/include
Comment:
  added cmpxchg, etc

*****************  Emitter_IR.h  *****************
User: Ahsieh          Date: 2000/09/29  Time:  2:24p
Checked in $/orp/arch/ia64/include
Comment:
  added cmpxchg, etc

*****************  Local_Reg_Alloc.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes 

*****************  Predication.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Reg_Alloc.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  IR.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  ir.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Local_Reg_Alloc.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Flow_Graph_Clone.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Flow_Graph_Nodes.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  ia64_o3_jit.dsp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  IA64_O3_JIT_Intf.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Inlining.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  dumpjit.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Em.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  EM_Code_Expansion.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Expression.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Flow_Graph.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Flow_Graph.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Code_Scheduler.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Code_Scheduler.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Copy_Prop.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Dep.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Dep.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Build_IR_Routines.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Build_IR_Routines.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Code_Emitter.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Code_Gen.cpp  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  Code_Gen.h  *****************
User: Tatiana         Date: 2000/09/28  Time: 11:06a
Checked in $/orp/arch/ia64/ia64_o3_jit
Comment:
  Ken's and Tatiana's bug fixes

*****************  gc_plan.cpp  *****************
User: Ssubram5        Date: 2000/09/27  Time:  2:53p
Checked in $/orp/common/gc
Comment:
  

*****************  mon_enter_exit.cpp  *****************
User: Rlhudson        Date: 2000/09/27  Time:  7:59a
Checked in $/orp/base_natives/common
Comment:
  Add monitor_enter_or_null.

*****************  orp_synch.h  *****************
User: Rlhudson        Date: 2000/09/27  Time:  7:57a
Checked in $/orp/common/include
Comment:
  Add monitor_enter_or_null and monitor_exit_or_null

*****************  jni.cpp  *****************
User: Michal          Date: 2000/09/26  Time:  4:28p
Checked in $/orp/common/base
Comment:
  Added instanceof interface for Andrew

*****************  orp_utils.h  *****************
User: Michal          Date: 2000/09/26  Time:  4:28p
Checked in $/orp/common/include
Comment:
  Added instanceof interface for Andrew

*****************  jit_intf.h  *****************
User: Michal          Date: 2000/09/26  Time:  4:28p
Checked in $/orp/interface
Comment:
  Added instanceof interface for Andrew

*****************  C_Interface.cpp  *****************
User: Michal          Date: 2000/09/26  Time:  4:28p
Checked in $/orp/common/base
Comment:
  Added instanceof interface for Andrew

*****************  jit_runtime_support.cpp  *****************
User: Michal          Date: 2000/09/26  Time:  4:28p
Checked in $/orp/common/base
Comment:
  Added instanceof interface for Andrew

*****************  jit_runtime_support_ia32.cpp  *****************
User: Michal          Date: 2000/09/26  Time:  4:28p
Checked in $/orp/arch/ia32/base
Comment:
  Added instanceof interface for Andrew

*****************  block_store.cpp  *****************
User: Ssubram5        Date: 2000/09/26  Time:  1:49p
Checked in $/orp/common/gc
Comment:
  

*****************  gc_plan.cpp  *****************
User: Ssubram5        Date: 2000/09/26  Time:  1:49p
Checked in $/orp/common/gc
Comment:
  

*****************  gc_plan.cpp  *****************
User: Ssubram5        Date: 2000/09/25  Time:  6:18p
Checked in $/orp/common/gc
Comment:
  

*****************  object_layout.h  *****************
User: Ssubram5        Date: 2000/09/25  Time:  3:32p
Checked in $/orp/common/include
Comment:
  

*****************  java_io_FileInputStream.h  *****************
User: Ssubram5        Date: 2000/09/25  Time:  3:18p
Checked in $/orp/base_natives/gnu_classpath/include
Comment:
  

*****************  java_io_FileInputStream.cpp  *****************
User: Ssubram5        Date: 2000/09/25  Time:  3:09p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  

*****************  find_natives_array.cpp  *****************
User: Ssubram5        Date: 2000/09/25  Time:  3:08p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  

*****************  gc.dsp  *****************
User: Ssubram5        Date: 2000/09/25  Time: 11:50a
Checked in $/orp/common/gc
Comment:
  

*****************  Class.cpp  *****************
User: Michal          Date: 2000/09/22  Time:  8:19a
Checked in $/orp/common/class_loader
Comment:
  Added is_nop for methods

*****************  Class_File_Loader.cpp  *****************
User: Michal          Date: 2000/09/22  Time:  8:19a
Checked in $/orp/common/class_loader
Comment:
  Added is_nop for methods

*****************  Prepare.cpp  *****************
User: Michal          Date: 2000/09/22  Time:  8:19a
Checked in $/orp/common/class_loader
Comment:
  Added is_nop for methods

*****************  Resolve.cpp  *****************
User: Michal          Date: 2000/09/22  Time:  8:19a
Checked in $/orp/common/class_loader
Comment:
  Added is_nop for methods

*****************  Class.h  *****************
User: Michal          Date: 2000/09/22  Time:  8:19a
Checked in $/orp/common/include
Comment:
  Added is_nop for methods

*****************  object_generic.h  *****************
User: Michal          Date: 2000/09/22  Time:  8:19a
Checked in $/orp/base_natives/common
Comment:
  Added is_nop for methods

*****************  java_lang_Class.cpp  *****************
User: Michal          Date: 2000/09/22  Time:  8:19a
Checked in $/orp/base_natives/gnu_classpath
Comment:
  Added is_nop for methods

*****************  method.cpp  *****************
User: Michal          Date: 2000/09/22  Time:  8:19a
Checked in $/orp/common/base
Comment:
  Added is_nop for methods

*****************  mtable.cpp  *****************
User: Glueh           Date: 2000/09/20  Time:  5:09p
Checked in $/orp/common/jit_utils
Comment:
  

*****************  Makefile  *****************
User: Ssubram5        Date: 2000/09/20  Time:  4:34p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  

*****************  Code_Gen.h  *****************
User: Ahsieh          Date: 2000/09/20  Time: 12:14p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  change 3 assert() to ASSERT_LONG()

*****************  find_natives_array.cpp  *****************
User: Ssubram5        Date: 2000/09/20  Time: 12:13p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  

*****************  java_lang_Class.cpp  *****************
User: Ssubram5        Date: 2000/09/20  Time: 12:13p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  

*****************  gnu_specific.cpp  *****************
User: Ssubram5        Date: 2000/09/20  Time: 12:12p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  

*****************  include  *****************
User: Ssubram5        Date: 2000/09/20  Time: 12:11p
Added gnu_specific.h

*****************  java_lang_Class.h  *****************
User: Ssubram5        Date: 2000/09/20  Time: 12:11p
Checked in $/orp/base_natives/gnu_classpath/include
Comment:
  

*****************  jit_intf.h  *****************
User: Glueh           Date: 2000/09/20  Time: 12:04p
Checked in $/orp/interface
Comment:
  

*****************  Prepass.cpp  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:26p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  Register_Allocator.h  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  Substitution.cpp  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  Util.cpp  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  Util.h  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  IA64_O1_JIT_Intf.h  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  O1_Code_Emitter.h  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  Prepass.h  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  Register_Allocator.cpp  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  defines.h  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  IA64_O1_JIT_Intf.cpp  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  Code_Gen.cpp  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  Code_Gen.h  *****************
User: Ahsieh          Date: 2000/09/19  Time:  3:25p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  1) reverse copy propagation on out-going function params
2) integer multiply-by-constant strength reduction
3) put all scratch regs in pool (more than suggested) to enhance the odds of
getting desired reg (rev. copy prop), scheduling flexibility, etc
4) dest of bytecodes newXXX shouldn't be null thus subject no nullpointer check
5) remove redundant calls to the same class initializers
6) use shladd instead of shli (which becomes dep.z, less flexible than shladd)
when shift-count is between 1 and 4.
7) use "movi imm22" + "shladd" to replace movl, if possible

*****************  jit_runtime_support_ia32.cpp  *****************
User: Glueh           Date: 2000/09/19  Time: 12:26p
Checked in $/orp/arch/ia32/base
Comment:
  

*****************  mtable.cpp  *****************
User: Glueh           Date: 2000/09/19  Time: 10:05a
Checked in $/orp/common/jit_utils
Comment:
  

*****************  mtable.cpp  *****************
User: Glueh           Date: 2000/09/19  Time: 10:04a
Checked in $/orp/common/jit_utils
Comment:
  

*****************  ia32_o3_jit  *****************
User: Glueh           Date: 2000/09/19  Time:  9:45a
Deleted mtable.cpp

*****************  ia32_o3_jit  *****************
User: Glueh           Date: 2000/09/19  Time:  9:45a
Deleted mtable.h

*****************  ia32_o3_jit.dsp  *****************
User: Glueh           Date: 2000/09/19  Time:  9:45a
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  

*****************  ia32_o3_dll.dsp  *****************
User: Glueh           Date: 2000/09/19  Time:  9:43a
Checked in $/orp/arch/ia32/ia32_o3_dll
Comment:
  

*****************  root_set_enum_ia64.cpp  *****************
User: Rlhudson        Date: 2000/09/19  Time:  8:19a
Checked in $/orp/arch/ia64/base
Comment:
  Logic to set up ljf/ar_bsp for IA64

*****************  jit_runtime_support_ia64.cpp  *****************
User: Rlhudson        Date: 2000/09/19  Time:  8:18a
Checked in $/orp/arch/ia64/base
Comment:
  Logic to set up ljf/ar_bsp for IA64

*****************  compile_IA64.cpp  *****************
User: Rlhudson        Date: 2000/09/19  Time:  8:18a
Checked in $/orp/arch/ia64/base
Comment:
  Logic to set up ljf/ar_bsp for IA64

*****************  root_set_enum.cpp  *****************
User: Rlhudson        Date: 2000/09/19  Time:  8:12a
Checked in $/orp/common/base
Comment:
  Add IA64 logic to ljf asserts.

*****************  exceptions_ia32.cpp  *****************
User: Glueh           Date: 2000/09/18  Time:  5:52p
Checked in $/orp/arch/ia32/base
Comment:
  fix lazy exception for ia32 linux

*****************  flow_graph_print.cpp  *****************
User: Tatiana         Date: 2000/09/18  Time:  1:13p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed IA64 O3 to work with bit_vector.h with debug printing enabled

*****************  flow_graph.cpp  *****************
User: Tatiana         Date: 2000/09/18  Time:  1:13p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed IA64 O3 to work with bit_vector.h with debug printing enabled

*****************  flow_graph.h  *****************
User: Tatiana         Date: 2000/09/18  Time:  1:13p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed IA64 O3 to work with bit_vector.h with debug printing enabled

*****************  flow_graph_eliminate.cpp  *****************
User: Tatiana         Date: 2000/09/18  Time:  1:13p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed IA64 O3 to work with bit_vector.h with debug printing enabled

*****************  dumpjit.cpp  *****************
User: Tatiana         Date: 2000/09/18  Time:  1:13p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed IA64 O3 to work with bit_vector.h with debug printing enabled

*****************  disass_str.cpp  *****************
User: Tatiana         Date: 2000/09/18  Time:  1:13p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed IA64 O3 to work with bit_vector.h with debug printing enabled

*****************  bit_vector_group.h  *****************
User: Tatiana         Date: 2000/09/18  Time:  1:12p
Checked in $/orp/arch/ia32/ia32_o3_jit
Comment:
  Fixed IA64 O3 to work with bit_vector.h with debug printing enabled

*****************  Register_Allocator.h  *****************
User: Ahsieh          Date: 2000/09/14  Time:  4:11p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  reverse copy prop. for out-going func params

*****************  Substitution.h  *****************
User: Ahsieh          Date: 2000/09/14  Time:  4:11p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  reverse copy prop. for out-going func params

*****************  defines.h  *****************
User: Ahsieh          Date: 2000/09/14  Time:  4:11p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  reverse copy prop. for out-going func params

*****************  Prepass.cpp  *****************
User: Ahsieh          Date: 2000/09/14  Time:  4:11p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  reverse copy prop. for out-going func params

*****************  Prepass.h  *****************
User: Ahsieh          Date: 2000/09/14  Time:  4:11p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  reverse copy prop. for out-going func params

*****************  Code_Gen.cpp  *****************
User: Ahsieh          Date: 2000/09/14  Time:  4:11p
Checked in $/orp/arch/ia64/ia64_o1_jit
Comment:
  reverse copy prop. for out-going func params

*****************  java_lang_System.h  *****************
User: Michal          Date: 2000/09/14  Time:  3:32p
Checked in $/orp/base_natives/gnu_classpath/include
Comment:
  "intrinsics"

*****************  jdk_specific.cpp  *****************
User: Michal          Date: 2000/09/14  Time:  3:32p
Checked in $/orp/base_natives/jdk
Comment:
  "intrinsics"

*****************  find_natives_array.cpp  *****************
User: Michal          Date: 2000/09/14  Time:  3:32p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  "intrinsics"

*****************  gnu_specific.cpp  *****************
User: Michal          Date: 2000/09/14  Time:  3:32p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  "intrinsics"

*****************  java_lang_System.cpp  *****************
User: Michal          Date: 2000/09/14  Time:  3:32p
Checked in $/orp/base_natives/gnu_classpath
Comment:
  "intrinsics"

*****************  compile_IA32.cpp  *****************
User: Michal          Date: 2000/09/14  Time:  3:32p
Checked in $/orp/arch/ia32/base
Comment:
  "intrinsics"

*****************  find_natives.h  *****************
User: Michal          Date: 2000/09/14  Time:  3:32p
Checked in $/orp/base_natives/common
Comment:
  "intrinsics"
